/*v0.0.1*/

//创建umappPlugin对象
var uPlugin = new UmappPlugin();

/**
 * 所有变量对象
 * 调用用户变量  allFlow.userInfo
 * 调用协议变量  allVar.protocol.xxx
 */
var  allVar={};
var  allFlow={};

var obj2String = function(_obj) {
    var t = typeof (_obj);
    if (t != 'object' || _obj === null) {
      // simple data type
      if (t == 'string') {
        _obj = '"' + _obj + '"';
      }
      return String(_obj);
    } else {
      if ( _obj instanceof Date) {
        return _obj.toLocaleString();
      }
      // recurse array or object
      var n, v, json = [], arr = (_obj && _obj.constructor == Array);
      for (n in _obj) {
        v = _obj[n];
        t = typeof (v);
        if (t == 'string') {
          v = '"' + v + '"';
        } else if (t == "object" && v !== null) {
          v = this.obj2String(v);
        }
        json.push(( arr ? '' : '"' + n + '":') + String(v));
      }
      return ( arr ? '[' : '{') + String(json) + ( arr ? ']' : '}');
    }
  };

$(function(){
    uPlugin.getFlowParams(function(data){
        allFlow = data;
        initVar();
    });
});

//页面调用时的参数处理
//现在处理：选人界面的查询；选人界面的输入框默认值
function handleParams(){
    var paramJson = {};
    paramJson={"parameters":{"ComType":"GetDetailsOfFlow","FlowID":allFlow.FlowID}};
    return paramJson;
}

//初始化变量
function  initVar(){
    //获取协议参数
    if (typeof handleParams === 'function'){
        obj = handleParams();
        uPlugin.getAllVariate(getDataCallBack,obj);
    }else{
        uPlugin.getAllVariate(getDataCallBack,{});
    }
};
//插件获取回调
function   getDataCallBack(data){
    allVar =data;
    uPlugin.closeProgressBar();
    var data1 = allVar.protocol;
    var html = template('data_info_content', {data:data1});
    document.getElementById('data_info').innerHTML = html;
    var html = template('data_history_content', {data:data1});
    document.getElementById('data_history').innerHTML = html;
};

//关闭详细
function closeDetail(params)
{
    uPlugin.closeDetail(params);
};

//提交审核处理——fanboyang
function submitOpinion(opinion,comment){
    uPlugin.showProgressBar();
    this.comment = comment;
    this.opinion = opinion;
    var paramJson = {"parameters":{"ComType":this.opinion,"FlowID":allFlow.FlowID,"Suggestion":this.comment}};
    uPlugin.getAllVariate(function(d){ //提交
        uPlugin.closeProgressBar();
        if (d.protocol.IsAccess != true){
            showAlert( d.RetMessage );
        }
        else{uPlugin.returnBacklog();}
    },paramJson);
}

//返回列表——fanboyang
function returnBack(){ 
    uPlugin.returnBacklog();
};

//附件预览——fanboyang
function docPreview(filrUrl,fileName){
    var parm = {"AttachWholeUrl":filrUrl,"AttachName":fileName};
    uPlugin.docPreview(parm);
};

//区分android和iOS对JSON的转化
function translateJsonObject(sourceJson){
  var destJson = null;
  try{//android
    destJson = jQuery.parseJSON(sourceJson);
  }catch(e){//IOS
    destJson = sourceJson;
  }
  return destJson;
};

function showAlert(alertText){
    $('#sucessWarm').html(alertText);
    $(".confirmWarm-box-cancle").removeClass("none");
}