package cn.com.petrochina.oos;

import android.content.Context;
import android.database.Cursor;
import android.net.Uri;
import android.util.Log;

public class BSMCPBaseUtils {
	public static final Uri MY_TEST_URI = Uri.
			parse("content://cn.com.petrochina.provider.UserProvider/provider_user");
	
	/**
	 * ȡû¼
	 * ʽΪ:Version=XXX&LoginID=XXX&LoginName=XXX
	 * @param context
	 * @return
	 */
	public static String handleOpenURL(Context context){
		String params = null;
		Cursor cursor = context.getContentResolver().query(MY_TEST_URI, 
						new String[]{"params"}, null, null, null);
		if(cursor != null){
			while(cursor.moveToNext()){
				String encodeParams = cursor.getString(cursor.getColumnIndex("params"));
				params = new String(Base64.decode(new StringBuffer(encodeParams)
								.reverse().toString())).toString();
				Log.i("params", params);
			}
		}
		return params;
	}
	
	/**
	 * 
	 * @param tagName 
	 * @param url ַܺ
	 * @return
	 */
	public static String getParams(String tagName,String url){
		if("Version".equals(tagName)){
			return url.split("&")[0].split("=")[1];
		}else if("LoginID".equals(tagName)){
			return url.split("&")[1].split("=")[1];
		}else if("LoginName".equals(tagName)){
			return url.split("&")[2].split("=")[1];
		}else if("Domain".equals(tagName)){
			return url.split("&")[2].split("=")[1].split("/")[0];
		}else{
			return null;
		}
	}
}
