document.getElementById('multiBtnDiv').addEventListener('click',function(e){
	var tagName = e.target.tagName.toLowerCase();
	if (tagName=='a'){
		sendSFAction(e.target,e.target.pages_list, e.target.btn_request, e.target.transfor_params, e.target.transfor_type);
	}
},false);

$('#multiBtnDiv').click(function(){
	$('.DFOA_footer_more').slideToggle("slow");	
});
function EastOA(){
	
}
var EastOA = {
	/*flowType : [ "公文处理-拟稿审批", "公文处理-核稿", "公文处理-会签", "公文处理-签发", "公文处理-复核",
			"发文-已发文", "收文拟办-拟办", "收文传阅-传阅处理", "收文回执-签收", "收文提醒-处理" ],*/
	flowType : { "拟稿审批":{"planA":["撤销","转会签","转核稿","历史记录","打开文档"],"planB":["审批","重新拟稿","历史记录","打开文档"]},
				 "核稿":{"planA":["核稿","历史记录","打开文档"],
					    "planB":["复核","历史记录","打开文档"],
						"planC":["撤销","转会签","转核稿","重新拟稿","历史记录","打开文档"],
						"planD":["撤销","转会签","转核稿","转签发","重新拟稿","历史记录","打开文档"]},
				 "会签":{"planA":["撤销","转核稿"],
					    "planB":["会稿"]},
				 "签发":{"planA":["撤销"],
					    "planB":["签发"]},
				 "签收":{"planA":["签收"]},
				 "已发文":{}, "拟办":{}, "传阅处理":{},  "处理":{} },
	// 部室领到是否审批,是否核稿,是否会签,是否签发,是否复核			 
	buttonRule:{isTestSuggest:false,isCheckSuggest:false,isMeet:false,isApproved:false,rechecked:false},			 
				 //"复核":{},
	//提交通用处理方法
	//跳转页面,请求协议,传递参数
	sendSFAction : function(current, pagePath, requestInfo, transParams, type) {
		if (transParams) {
			var params = transParams.split(',');
			for ( var i = 0; i < params.length; i++) {
				localStorage.setItem(params[i], $('#' + params[i]).val());
			}
		}
		if (type == "dialog") {
			document.getElementById("bg").style.display = "block";
			document.getElementById("show").style.display = "block";
			localStorage.setItem("buttonActionId", current.id);
		} else if (type == "page") {
			current.href=pagePath;
		}
	},showButton:function(btns){//根据规则显示按钮
		$('#multiBtnDiv').find('a').each(function(){
			var buttonText = $(this).attr('button_text');
			$(this).css('display','none');
			for (var i=0,length=btns.length;i<length;i++){
				if (buttonText==btns[i]){
					$(this).css('display','block');
					break;
				}
			}
		});
	},
	getButtonRules:function(flowInfo){//按钮规则生成
		this.buttonRule.isTestSuggest=false,
		this.buttonRule.isCheckSuggest=false,
		this.buttonRule.isMeet=false,
		this.buttonRule.isApproved=false,
		this.buttonRule.rechecked=false;
		if (flowInfo.TestorName&&flowInfo.TestSuggestion&&flowInfo.TestDate){
			var suggestion = flowInfo.TestorName+flowInfo.TestSuggestion+flowInfo.TestDate;
			if (suggestion!=""){
				this.buttonRule.isTestSuggest=true;
			}
		}
		if (flowInfo.IsRechecked){
			if (flowInfo.IsRechecked=="0"){
				this.buttonRule.rechecked = true;
			}
		}
		if (flowInfo.CheckorName&&flowInfo.CheckDate&&flowInfo.CheckSuggestion){
			var suggestion = flowInfo.CheckorName+flowInfo.CheckDate+flowInfo.CheckSuggestion;
			if (suggestion!=""){
				this.buttonRule.isCheckSuggest=true;
			}
		}
		if (flowInfo.MeetInfo){
			var length = flowInfo["MeetInfo"]["returnResult"].length;
			var meetObj = flowInfo["MeetInfo"]["returnResult"];
			if (length>0){
				for (var i=0;i<length;i++){
					if (meetObj[i]["MeetorID"]==flowInfo["account"]){
						this.buttonRule.isMeet=true;
						break;
					}
				}
			}
		}
		if (flowInfo.ApproverID&&flowInfo.ApproverName&&flowInfo.ApproveDate&&flowInfo.ApproveSuggestion){
			if (flowInfo.ApproverID==flowInfo["account"]){
				this.buttonRule.isApproved = true;
			}
		}
	},buttonShowHandler:function(flowInfo){//flowInfo属性包括flowType,isCheckSuggest,rechecked,isMeet,isApproved
		var btns = [];
		if (flowInfo.flowType){
			//获取按钮规则
			getButtonRules(flowType);
			switch (flowInfo.flowType){
				case '拟稿审批':
					if (this.buttonRule.isTestSuggest){
						btns = this.flowType[flowInfo.flowType]["planA"];
					}else{
						btns = this.flowType[flowInfo.flowType]["planB"];
					}
					break;
				case '核稿':
					if (!this.buttonRule.isCheckSuggest&&!this.buttonRule.rechecked){
						btns = this.flowType[flowInfo.flowType]["planA"];
					}else if (this.buttonRule.isCheckSuggest&&!this.buttonRule.rechecked
							&& $('#suggestion').val()!=""){
						btns = this.flowType[flowInfo.flowType]["planC"];
					}else if (this.buttonRule.isCheckSuggest && !this.buttonRule.rechecked){
						btns = this.flowType[flowInfo.flowType]["planB"];
					}else if (this.buttonRule.isCheckSuggest && this.buttonRule.rechecked){
						btns = this.flowType[flowInfo.flowType]["planD"];
					}
					break;
				case '会签':
					if (this.buttonRule.isMeet){
						btns = this.flowType[flowInfo.flowType]["planA"];
					}else{
						btns = this.flowType[flowInfo.flowType]["planB"];
					}
					break;
				case '签发':
					if (this.buttonRule.isApproved){
						btns = this.flowType[flowInfo.flowType]["planA"];
					}else{
						btns = this.flowType[flowInfo.flowType]["planB"];
					}
					break;
				case '复核':
					break;	
				case '已发文':
					break;	
				case '拟办':
					break;	
				case '传阅处理':
					break;	
				case '签收':
					btns = this.flowType[flowInfo.flowType]["planA"];
					break;	
				case '处理':
					break;	
			}
		this.showButton(btns);//按钮显示
		}//if flowType
	},//弹出框的确定
	dialogYes : function() {
		var btnId = localStorage.getItem("buttonActionId");
		$('#' + btnId).attr('btn_request');
		///请求处理
	},
	//弹出框的取消
	dialogCancel : function() {
		var btnId = localStorage.getItem("buttonActionId");
		$('#' + btnId).attr('btn_request');
		///请求处理
	},
	//跳转后页面的处理操作
	buttonSubmit : function() {
		for (key in localStorage) {

		}
	},
	clearLocalStorage : function() {
		localStorage.clear();
	}
};