/**
 * 页面初始化调用
 * @constructor
   @author 张昭
 * @param {string} allVar - 页面响应数据JSON对象.
 */
function BusInit(allVar){
	if (localStorage.getItem("jumpIn")!=null){//当前是跳转页面
		EastOA.jumpPageButtonShowHandler(allVar);
		if(localStorage.getItem("suggestion") != 'undefined' && localStorage.getItem("suggestion") != undefined){ //当localstorage中存有suggestion时
			$('textarea[auth_data="suggestion"]').text(localStorage.getItem("suggestion")); //带入上一步的suggestion -fanboyang
		}
	}else{
		EastOA.buttonShowHandler(allVar);
		if (allVar.protocol.DraftorID){
			localStorage.setItem("DraftorID",allVar.protocol.DraftorID);
			localStorage.setItem("DraftorName",allVar.protocol.DraftorName);
		}
	}
	if (allVar.protocol.selectMembers){//是否是选人界面
		EastOA.callTree();
	}
}
//zwl
Array.prototype.remove=function(dx){
　　if(isNaN(dx)||dx>this.length){return false;}
　　for(var i=0,n=0;i<this.length;i++)
　　{
　　　　if(this[i]!=this[dx])
　　　　{
　　　　　　this[n++]=this[i]
　　　　}
　　}
　　this.length-=1
}
//打开正文文档
function openDocument(){
	EastOA.openDocument();
}

//页面调用时的参数处理
//现在处理：选人界面的查询；选人界面的输入框默认值
function handleParams(orgJson){
	if ($('input[auth_data=homePage]').length>0){//详情主页，删除缓存
		EastOA.clearLocalStorage();
	}
	var paramJson = {};
	var orgId = localStorage.getItem("OrgID");
	var destJson = {};
	var inter = orgJson.body.interface;
	if (inter=="oaGetOrgUsersByOrgIdPurviewStr"){
		if (orgId!=null){
			var button_text = localStorage.getItem("button_text");
			var action = '';
			if (button_text=='转会签'){
				action="3";
				$('textarea[name=Suggestion]').val("您好！现将《"+localStorage.getItem("Title")+"》文发给您，请及时签署部门意见。");
			}else if (button_text=='转核稿'){
				action="4";
				$('textarea[name=Suggestion]').val("您好！现将《"+localStorage.getItem("Title")+"》文发给您，请及时核稿。");
			}else if (button_text=='转签发'){
				action="5";
				$('textarea[name=Suggestion]').val("您好！现将《"+localStorage.getItem("Title")+"》文发给您，请及时批阅签发。");
			}else if (button_text=='重新拟稿'){
				action="1";
			}else if (button_text=='转二次核稿'){
				action="7";
				$('textarea[name=Suggestion]').val("您好！现将《"+localStorage.getItem("Title")+"》文发给您，请及时核稿。");
			}else if (button_text=='转发文'){
				action="6";
			}
			localStorage.setItem("Action",action);
			paramJson=
				{"reqId":0,"actionId":0,"status":"","message":"","body":{"interface":"oaGetOrgUsersByOrgIdPurviewStr","parameters":{"OrgID":orgId,"Action":action}}};
			return paramJson;
		}
	}else if (inter=="oaflow_get_Content"){
	    var userInfo = allFlow.userInfo;
	    if (userInfo){
		    var userObj = EastOA.translateJsonObject(userInfo);
			paramJson=
					{"reqId":0,"actionId":0,"status":"","message":"",
						"body":{"interface":"oaflow_get_Content",
							"parameters":{"instanceID":allFlow.dfInstanceID,"userID":userObj.userId,"tmpID":allFlow.dfTmpID}}};
	    }else{
		paramJson=
					{"reqId":0,"actionId":0,"status":"","message":"",
						"body":{"interface":"oaflow_get_Content",
							"parameters":{"instanceID":"0","userID":"0","tmpID":"0"}}};
	    }
		return paramJson;
	}else if (inter=="oaflow_get_AuditUserList"){
	/**var userInfo = allFlow.userInfo;
	if (userInfo){
		var userObj = EastOA.translateJsonObject(userInfo);
		paramJson=
		{"reqId":0,"actionId":0,"status":"","message":"",
		    "body":{"interface":"oaflow_get_AuditUserList",
			"parameters":{"instanceID":allFlow.dfInstanceID,"activityName":allFlow.AtionStep,"tmpID":allFlow.dfTmpID}}};
	}else{
		paramJson=
					{"reqId":0,"actionId":0,"status":"","message":"",
						"body":{"interface":"oaflow_get_Content",
							"parameters":{"instanceID":"0","userID":"0","tmpID":"0"}}};
	}
	return paramJson;**/
	var userInfo = allFlow.userInfo;
	var flowType = allFlow.msgSource;
	//修改：印章申请时需要截取括号内的nextActivity -fanboyang
	if(flowType=='公司领导名章使用申请' || flowType=='公司印章使用申请' || flowType=='证照使用申请' ||
		flowType=='党委印章使用申请' || flowType=='法定代表人名章使用申请'){
			var nextAtion = localStorage.getItem('button_text').split('[')[1];
			nextAtion = nextAtion.split(']')[0];
		}else{
			var nextAtion = localStorage.getItem('button_text');
		}
	if (userInfo){
		var userObj = EastOA.translateJsonObject(userInfo);
		paramJson=
		{"reqId":0,"actionId":0,"status":"","message":"",
		    "body":{"interface":"oaflow_get_AuditUserList",
			"parameters":{"instanceID":allFlow.dfInstanceID,"activityName":allFlow.AtionStep,"nextActivityName":nextAtion,"tmpID":allFlow.dfTmpID}}};
	}
	return paramJson;
    }else if (inter=="getOracleERPWorkItem"){
	var userInfo = allFlow.userInfo;
	if (userInfo){
		var userObj = EastOA.translateJsonObject(userInfo);
		paramJson=
		{"reqId":0,"actionId":0,"status":"","message":"",
		    "body":{"interface":"getOracleERPWorkItem",
			"parameters":{"p_id":allFlow.document_id,"p_user":allFlow.from_user}}};
	}else{
		paramJson=
					{"reqId":0,"actionId":0,"status":"","message":"",
						"body":{"interface":"oaflow_get_Content",
							"parameters":{"instanceID":"0","userID":"0","tmpID":"0"}}};
	}
	return paramJson;
    }else if (inter=="oasms_get_MessageDetial"){//zwl
	var userInfo = allFlow.userInfo;
	if (userInfo){
		var userObj = EastOA.translateJsonObject(userInfo);
		paramJson=
		{"reqId":0,"actionId":0,"status":"","message":"",
		    "body":{"interface":"oasms_get_MessageDetial",
			"parameters":{"UserID":userObj.userId,"SmsID":allFlow.SFID}}};
		var paramJson1 = JSON.stringify(paramJson);
	}else{
		paramJson=
					{"reqId":0,"actionId":0,"status":"","message":"",
						"body":{"interface":"oaflow_get_Content",
							"parameters":{"instanceID":"0","userID":"0","tmpID":"0"}}};
	}
	return paramJson;
    }
    else if (inter=="oaGetCompanyAddress"){//zwl2

		var OrgId=localStorage.getItem("OrgId");
		if(!OrgId){
				OrgId="175";
			}
	var userInfo = allFlow.userInfo;
	if (userInfo){
		var userObj = EastOA.translateJsonObject(userInfo);
		paramJson=
		{"reqId":0,"actionId":0,"status":"","message":"",
		    "body":{"interface":"oaGetCompanyAddress",
			"parameters":{"OrgID":OrgId,"reqId":"0","actionId": "0","status": ""}}};
		var paramJson1 = JSON.stringify(paramJson);
	}else{
		paramJson=
					{"reqId":0,"actionId":0,"status":"","message":"",
						"body":{"interface":"oaflow_get_Content",
							"parameters":{"instanceID":"0","userID":"0","tmpID":"0"}}};
	}
	return paramJson;
    }
    else if (inter=="oaGetPersonalAddress"){//zwl2
	var userInfo = allFlow.userInfo;
	if (userInfo){
		var userObj = EastOA.translateJsonObject(userInfo);
		paramJson=
		{"reqId":0,"actionId":0,"status":"","message":"",
		    "body":{"interface":"oaGetPersonalAddress",
			"parameters":{"UserID":userObj.userId,"reqId":"0","actionId": "0","status": ""}}};
		var paramJson1 = JSON.stringify(paramJson);
	}else{
		paramJson=
					{"reqId":0,"actionId":0,"status":"","message":"",
						"body":{"interface":"oaflow_get_Content",
							"parameters":{"instanceID":"0","userID":"0","tmpID":"0"}}};
	}
	return paramJson;
    }
    else if (inter=="oaGetPublicAaddress"){//zwl2

	var userInfo = allFlow.userInfo;
	if (userInfo){
		var userObj = EastOA.translateJsonObject(userInfo);
		paramJson=
		{"reqId":0,"actionId":0,"status":"","message":"",
		    "body":{"interface":"oaGetPublicAaddress",
			"parameters":{"reqId":"0","actionId": "0","status": ""}}};
		var paramJson1 = JSON.stringify(paramJson);
	}else{
		paramJson=
					{"reqId":0,"actionId":0,"status":"","message":"",
						"body":{"interface":"oaflow_get_Content",
							"parameters":{"instanceID":"0","userID":"0","tmpID":"0"}}};
	}
	return paramJson;
    }else if (inter=="oaflow_get_Contentforyinzhang"){ //OwO----印章申请 fby
	var userInfo = allFlow.userInfo;
	var userObj = EastOA.translateJsonObject(userInfo);
	paramJson=
	{"reqId": 0,"actionId": 0,"status": "","message": "",
		"body": {"interface": "oaflow_get_Contentforyinzhang",
			"parameters": {"instanceID": allFlow.dfInstanceID,"userID": userObj.userId,"tmpID": allFlow.dfTmpID}}};
	return paramJson;
    }
    else{
		return orgJson;
	}
}
//EastOA对象
function EastOA(){

}
//按钮显示
EastOA.buttonShowHandler=function(flowInfo){//flowInfo属性包括flowType,isCheckSuggest,rechecked,isMeet,isApproved
	var btns = [];
	if (flowInfo.protocol.flowTypeName){
		//获取按钮规则
		this.getButtonRules(flowInfo);
		switch (flowInfo.protocol.flowTypeName){
			case '拟稿审批':
				if (this.buttonRule.isTestSuggest){
					btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planA"];
				}else{
					btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planB"];
				}
				break;
			case '核稿':
				if (!this.buttonRule.isCheckSuggest&&!this.buttonRule.rechecked){
					if(flowInfo.protocol.PreAction=="7" || flowInfo.protocol.PreAction=="5"){ //复核撤销
						btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planB"];
					}else{
						btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planA"]; //首次核稿时
					}
				}
				if (allVar.protocol.OrgId=='175'){//一级发文
					if (this.buttonRule.isCheckSuggest&&!this.buttonRule.rechecked
						&& !this.buttonRule.isSecondCheckSuggest){//一级发文首次核稿后
						btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planD"];
					}
					if (this.buttonRule.isCheckSuggest && !this.buttonRule.rechecked&&
						flowInfo.protocol.PreAction=="7"){//一级发文-复核时，前一步是二次核稿
						btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planB"];
					}
					if (this.buttonRule.isCheckSuggest && this.buttonRule.rechecked&&
						flowInfo.protocol.PreAction=="7"){//一级发文-复核后
						btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planC"];
					}
				}else{//二级发文
					if (this.buttonRule.isCheckSuggest&&!this.buttonRule.rechecked
						&& !this.buttonRule.isSecondCheckSuggest && flowInfo.protocol.PreAction!="5"){//二级发文首次核稿后
						btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planE"];
					}
					if (this.buttonRule.isCheckSuggest && !this.buttonRule.rechecked&&
						flowInfo.protocol.PreAction=="5"){//二级发文-复核时，前一步是签发
						btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planB"];
					}
					if (this.buttonRule.isCheckSuggest && this.buttonRule.rechecked&&
						flowInfo.protocol.PreAction=="5"){//二级发文-复核后，前一步是签发
						btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planF"];
					}
				}
				break;
			case '二次核稿':
				if (!this.buttonRule.isSecondCheckSuggest){
					btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planA"];
				}else {
					btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planB"];
				}
				break;
			case '会签':
				if (this.buttonRule.isMeet&&flowInfo.protocol.PreAction
					&&flowInfo.protocol.PreAction!="7"){//本人已会签+核稿
					btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planA"];
				}else if (this.buttonRule.isMeet&&flowInfo.protocol.PreAction
					&&flowInfo.protocol.PreAction=="7"){//本人已会签+二次核稿
					btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planC"];
				} else{
					btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planB"];
				}
				break;
			case '签发':
				if (this.buttonRule.isApproved){
					btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planA"];
				}else{
					btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planB"];
				}
				break;
			case '已发文':
				btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planA"];
				break;
			case '拟办':
				btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planA"];
				break;
			case '传阅处理':
				btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planA"];
				break;
	    case '资金审批':
		btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planA"];
		break;
	    case '签收':
				btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planA"];
				break;
			case '处理':
				btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planA"];
				break;
	    case '部门经理审批':
		if (this.buttonRule.isJlFirstCheck){
		    btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planA"];
		}else {
		    btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planB"];
		}
		break;
	    case '法律部门审核':
		btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planA"];
		break;
	    case '签 收':
					btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planA"];
					break;
			case '公司办公室领导审批':
			case '相关业务部门审批':
			case '公司领导审批':
			case '公司党委办公室领导审批':
			case '法律事务部门审核':
				btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planA"];
				break;

			case '党委办公室审核':
			case '企管法规处审核':
		if (this.buttonRule.isFirstCheck){
		    btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planA"];
		}else {
		    btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planB"];
		}
		break;
			//不同子流程显示按钮不同
			case '部门领导审批':
				switch(flowInfo.protocol.flowType){
					case '公司领导名章使用申请':
					case '公司印章使用申请':
						btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planA"];
						break;
					case '党委印章使用申请':
						btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planB"];
						break;
					case '法定代表人名章使用申请':
						btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planC"];
						break;
					case '证照使用申请':
						btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planD"];
						break;
				}
				break;
			//不同子流程显示不同 且第一次和后续不同
			case '公司办公室审核':
				switch(flowInfo.protocol.flowType){
					case '证照使用申请':
						btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planD"];
						break;
					case '法定代表人名章使用申请':
						 if (this.buttonRule.isFirstCheck){
							btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planC"];
						}else {
							btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planB"];
						}
						break;
					default:
						if (this.buttonRule.isFirstCheck){
							btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planA"];
						}else {
							btns = this.flowTypeName[flowInfo.protocol.flowTypeName]["planB"];
						}
						break;
				}
				break;
		}
	this.showButton(btns);//按钮显示
	}//if flowTypeName
};
//按钮显示
EastOA.jumpPageButtonShowHandler=function(flowInfo){//flowInfo属性包括flowType,isCheckSuggest,rechecked,isMeet,isApproved
	var btns = [];
	var buttonText = localStorage.getItem("button_text");
	switch (buttonText){
		case '转核稿':
		case '转签发':
		case '转发文':
		case '转会签':
			btns = EastOA.jumpPageBtn[buttonText]['planA'];
			break;
		case '重新拟稿':
			btns = EastOA.jumpPageBtn[buttonText]['planA'];
			break;
		case '转二次核稿':
			btns = EastOA.jumpPageBtn[buttonText]['planA'];
			break;
	case '报法律部门审核':
	    btns = EastOA.jumpPageBtn[buttonText]['planA'];
	    break;
	case '回复':
		btns = EastOA.jumpPageBtn[buttonText]['planA'];
		localStorage.setItem("replyStatus",0);
		break;
	case '回复全部':
		btns = EastOA.jumpPageBtn[buttonText]['planA'];
		localStorage.setItem("replyStatus",1);
		break;
	    case '报[公司领导审批]': //start OwO----印章申请相关 fby
		case '报[相关业务部门审批]':
		case '报[企管法规处主任审批]':
		case '报[法律事务部门审核]':
		case '报[企管法规处审核]':
		case '报[企管处主任审批]':
		case '报[相关部门审批]':
	    btns = EastOA.jumpPageBtn[buttonText]['planA'];
	    break; //end OwO----印章申请相关 fby
	}
	this.showButton(btns);//按钮显示

};
//打开正文文档的具体操作
EastOA.openDocument=function(){
	//downloadAttachment(allVar.protocol.SFID,"oaGetSFDocBySFID");
	var  jsonStr = {"AttachmentID":allVar.protocol.SFID,"AttachTitle":"oaGetSFDocBySFID","AttachName":allVar.protocol.Title,
					"wenhao":allVar.protocol.SF_WenHao,"flowType":allVar.protocol.flowType};
	var uPlugin = new UmappPlugin();
	uPlugin.downloadAttachment(jsonStr);
};

//页面全屏的转换
EastOA.fixedToggle=function(){
	var dataHeader = $('div[data-role=header]');
	if (!$(dataHeader).hasClass('ui-fixed-hidden')){
		$('#page_protocol').trigger('click');
	}else{
		$(dataHeader).addClass('ui-fixed-hidden');
		$(dataHeader).trigger('create');
	}
};
function sendAction(current){
	EastOA.sendSFAction(current);
}


$(function(){
	$('.dropdown a').click(function(){
		$(this).siblings(".dropdown_li").toggle();
	});
	$('#chuli').click(function(){
		$('#multiBtnDiv').toggle();
	});
	//返回键的处理
	$('#headerBack').click(function(){
		if ($('input[auth_data=homePage]').length>0){
			EastOA.returnBacklog({"isRefresh":"0","isRemove":"0"});
		}else{
			EastOA.returnDetail();
		}
	});

	//返回上一页面的处理
	$('#closePage').click(function(){

			EastOA.closePage();

	});
	//审批弹出框-"确定"按钮点击操作
	$('#yesDialogBtn').click(function(){
		EastOA.dialogYes();
	});
	//验证弹出框-"确定"按钮点击操作
	$('#validateBtn').click(function(){
		$('#page_protocol').trigger('click');
		document.getElementById("bg").style.display = "none";
		document.getElementById("showValidate").style.display = "none";
	});
	//审批弹出框-"取消"按钮点击操作
	$('#cancelDialogBtn').click(function(){
		$('#page_protocol').trigger('click');
		document.getElementById("bg").style.display = "none";
		document.getElementById("show").style.display = "none";
	});
	//点击任意区域隐藏下拉菜单
	$('div[data-role="content"]').click(function(){
		$('#multiBtnDiv').css('display','none');
	});
	$('body .dropdown_li').delegate('li','click',function(){
		if (!$(this).attr('num')){
			$('#suggestion').val($(this).find('a').html());
		}else{
			$('#suggestion').val("");
		}
		$(this).parent().toggle();
	});
});
//弹出框的确定
EastOA.dialogYes=function() {
		var btnId = localStorage.getItem("buttonActionId");
		var orgJson = jQuery.parseJSON(EastOA.replace($('#' + btnId).attr('btn_request')));
		var paramJson={};
		var btnText = $('#' + btnId).attr('button_text');
		var umappPlugin = new UmappPlugin();
		///请求处理，根据点击的按钮的名称处理消息接口
		if (btnText=='审批'){
			paramJson.body = {"interface":"oaDocTest","parameters":{"SFID":allVar.protocol.SFID,"testorid":allVar.protocol.userId,
				"testorname":allVar.protocol.realName,"testdate":EastOA.getTime(),"suggestion":$('#suggestion').val(),"realUserId":allVar.protocol.userId}};
		}else if (btnText=='核稿'){
			paramJson.body ={"interface":"oaDocCheck","parameters":{"SFID":allVar.protocol.SFID,
				"checkorID":allVar.protocol.userId,"checkorName":allVar.protocol.realName,"checkdate":EastOA.getTime(),
				"suggestion":$('#suggestion').val(),"realUserId":allVar.protocol.userId}};
		}else if (btnText=='二次核稿'){
			paramJson.body ={"interface":"oaDocSecondCheck","parameters":{"SFID":allVar.protocol.SFID,
				"checkorID":allVar.protocol.userId,"checkorName":allVar.protocol.realName,"checkdate":EastOA.getTime(),
				"suggestion":$('#suggestion').val(),"realUserId":allVar.protocol.userId}};
		}else if (btnText=='复核'){
			paramJson.body ={"interface":"oaDocReCheck","parameters":{"SFID":allVar.protocol.SFID,
				"checkorID":allVar.protocol.userId,"checkorName":allVar.protocol.realName,
				"checkdate":EastOA.getTime(),"suggestion":$('#suggestion').val(),"realUserId":allVar.protocol.userId}};
		}else if (btnText=='签发'){
			paramJson.body = {"interface":"oaDocApprove","parameters":{"SFID":allVar.protocol.SFID,"approverid":allVar.protocol.userId,
				"approvername":allVar.protocol.realName,"approvedate":EastOA.getTime(),
				"suggestion":$('#suggestion').val(),"realUserId":allVar.protocol.userId,"comment":$('#suggestion').val()}};
		}else if(btnText=='会签'){
			paramJson.body={"interface":"oaDocMeet","parameters":{"SFID":allVar.protocol.SFID,
				"meetorID":allVar.protocol.userId,"meetorName":allVar.protocol.realName,
				"meetDate":EastOA.getTime(),"suggestion":$('#suggestion').val(),
				"comment":$('#suggestion').val(),"realUserId":allVar.protocol.userId}};
		} else if (allVar.protocol.flowType=='发文'&&btnText=='签收'){//发文-已发文
			paramJson.body = {"interface":"oaUpdateReceiveUser","parameters":{"SFID":allVar.protocol.SFID,
			"UserId":allVar.protocol.userId,"userName":allVar.protocol.realName,"orgName":allVar.protocol.orgName,
			"Content":$('#suggestion').val(),"realUserId":allVar.protocol.userId}};
		}else if (btnText=='收文拟办'){
			paramJson.body = {"interface":"oarecv_post_Transact",
				"parameters":{"RFID":allVar.protocol.RFID,"NBContent":$('#suggestion').val(),"userId":allVar.protocol.userId,
					"realUserId":allVar.protocol.userId}};
		}else if (btnText=='领导批示'){
			paramJson.body = {"interface": "oaWriteSignAdvice","parameters": {
			"LeaderAdviceOrHandleResult": "1",
			"UserID": allVar.protocol.userId,
			"UserName": allVar.protocol.realName,
			"RFID": allVar.protocol.RFID,
			"RFTitle": "",
			"realUserId": allVar.protocol.userId,
			"receiveUserId": allVar.protocol.receiveUserId,
			"IsMessage": "false",
			"IsWorkItem": "false",
			"Content":$('#suggestion').val()
			}};
		}else if (btnText=='承办结果'){
			paramJson.body = {"interface": "oaWriteSignAdvice","parameters": {
			"LeaderAdviceOrHandleResult": "0",
			"UserID": allVar.protocol.userId,
			"UserName": allVar.protocol.realName,
			"RFID": allVar.protocol.RFID,
			"RFTitle": "",
			"realUserId": allVar.protocol.userId,
			"receiveUserId": allVar.protocol.receiveUserId,
			"IsMessage": "false",
			"IsWorkItem": "false",
			"Content":$('#suggestion').val()
			}};
		}else if (allVar.protocol.flowType=='收文回执'&&btnText=='签收'){//收文回执
			paramJson.body = {"interface":"oarecv_post_SignRfDraft","parameters":{"RFID":allVar.protocol.RFID,
			"backcontent":$('#suggestion').val(),"UserId":allVar.protocol.userId,"realUserId":allVar.protocol.userId}};
		}else if (allVar.protocol.flowType=='收文提醒'&&btnText=='签收'){//收文提醒
			paramJson.body = {"interface":"oarecv_post_SingleRF","parameters":{"receiveUserId":allVar.protocol.receiveUserId}};
		}else if (btnText=='签收'){//zwl
			paramJson.body = {"interface": "oasms_post_MessageSing","parameters": {
			"strUserID": allVar.protocol.userId,
			"SmsID": allVar.protocol.SMSID,
			"strContent":$('#suggestion').val()
			}};
		}
		EastOA.submitData(btnId,orgJson,paramJson);
};
EastOA.translateJsonObject=function(sourceJson){
    var destJson = null;
	try{//android
		destJson = jQuery.parseJSON(sourceJson);
	}catch(e){//IOS
		destJson = sourceJson;
	}
	return destJson;
};
//直接提交接口方法
EastOA.submitData = function(btnId,orgJson,paramJson){
	var uPlugin = new UmappPlugin();
	uPlugin.showProgressBar();
	uPlugin.replaceJson(function(data){//json替换
		var sData=null;
		try{//android
			sData = jQuery.parseJSON(data.body);
		}catch(e){//IOS
			sData = data.body;
		}
		uPlugin.submitData(function(d){//提交
			uPlugin.closeProgressBar();
			if (d.RetCode=='0'&& d.CancleDoResult == '0'){ //start OwO---印章申请相关 fby
				EastOA.alertInfo('当前步骤仅有一个处理人，不能放弃处理!');
				return false;
			} //end OwO---印章申请相关 fby
		    if (d.RetCode=='0'&& d.message){
				EastOA.alertInfo(d.message);
				return false;
		    }
		    if(d.RetCode=='9999'){ //重复提交时返回void 不作处理
			return false;
		    }
			var paramsArg = $('#' + btnId).attr('callBackMethod');
			if (paramsArg){//判断回调方法是当前页面刷新还是返回待办列表
				if (paramsArg=="returnDetail"){
					document.getElementById("bg").style.display = "none";
					document.getElementById("show").style.display = "none";
					if (d.RetCode=='1'){
						return false;
					}
					uPlugin.returnDetail();
				}else if (paramsArg=="returnBacklog"){
					if (d.RetCode=='1'){
						return false;
					}
					uPlugin.returnBacklog({"isRefresh":"0","isRemove":"1"});
				}
			}else{
				uPlugin.returnBacklog({"isRefresh":"0","isRemove":"1"});
			}
		},sData);
	},orgJson,paramJson);
};

//替换&quot;的特殊符号
EastOA.replace=function(str){
	var retStr = str.replace(/&quot;/g,"\"");
	return retStr;
};
//详情页面的按钮名称逻辑
EastOA.flowTypeName ={ "拟稿审批":{"planA":["撤销","转会签","转核稿","历史记录","打开文档"],"planB":["审批","重新拟稿","历史记录","打开文档"]},
				 "核稿":{"planA":["核稿","历史记录","打开文档"],//首次核稿时
					    "planB":["复核","历史记录","打开文档"],//一级、二级发文-核稿（复核）时
						"planC":["撤销","转发文","转会签","历史记录","打开文档"],//一级发文-核稿（复核）后
						"planD":["撤销","转二次核稿","转会签","重新拟稿","历史记录","打开文档"],//一级发文-首次核稿后
						"planE":["撤销","转会签","重新拟稿","转签发","历史记录","打开文档"],//二级发文-首次核稿后
						"planF":["撤销","转签发","转发文","转会签","重新拟稿","历史记录","打开文档"]//二级发文复核后
						//"planG":["撤销","转签发","转核稿","转会签","历史记录","打开文档"]//二次核稿复核前后一致
						},
				 "二次核稿":{"planA":["撤销","二次核稿","历史记录","打开文档"],//二次核稿时
						   "planB":["撤销","转签发","转核稿","转会签","历史记录","打开文档"], //二次核稿后
						   "planC":["撤销","转签发","转核稿","转会签","历史记录","打开文档"]//二次核稿复核前后一致
				 },
				 "会签":{"planA":["撤销","转核稿","打开文档","历史记录"],//核稿
					    "planB":["会签","打开文档","历史记录"],//正常会签
					    "planC":["撤销","转二次核稿","打开文档","历史记录"]},//二次核稿
				 "签发":{"planA":["撤销","打开文档","历史记录"],
					    "planB":["签发","打开文档","历史记录"]},
				 "签收":{"planA":["签收"]},//收文回执
				 "已发文":{"planA":["签收"]}, //发文-已发文
				 "拟办":{"planA":["收文拟办"]},//收文拟办
				 "传阅处理":{"planA":["领导批示","承办结果"]},//收文传阅
				 "处理":{"planA":["签收"]}, //收文提醒
				 "部门经理审批":{"planA":["报法律部门审核","退回，不同意"],"planB":["报法律部门审核","转发文","退回，不同意"]},
				 "法律部门审核":{"planA":["报部门经理审批"]},
				 "资金审批":{"planA":["拒绝","批准"]},
				 "签 收":{"planA":["签收","回复","回复全部","转发"]},//zwl2
			//start OwO---印章申请相关 fby
			"部门领导审批":{"planA":["报[公司办公室审核]","不同意，退回"],
							"planB":["报[党委办公室审核]","不同意，退回"],
							"planC":["报[法律事务部门审核]","不同意，退回"],
							"planD":["报[企管法规处审核]","不同意，退回"]},
			"公司办公室审核":{"planA":["报[公司办公室领导审批]","报[相关业务部门审批]","不同意，退回"],
							"planB":["报[公司办公室领导审批]","报[相关业务部门审批]","报[公司领导审批]","报[归档状态]","不同意，退回"],
							"planC":["报[公司办公室领导审批]","报[相关业务部门审批]","报[公司领导审批]","不同意，退回"],
							"planD":["报[公司办公室领导审批]","报[公司领导审批]","报[归档状态]"]},
			"党委办公室审核":{"planA":["报[公司党委办公室领导审批]","报[相关业务部门审批]","不同意，退回"],
							"planB":["报[公司党委办公室领导审批]","报[相关业务部门审批]","报[公司领导审批]","报[归档状态]","不同意，退回"]},
			"企管法规处审核":{"planA":["报[企管处主任审批]","报[归档状态]","不同意，退回"],
							"planB":["报[公司办公室审核]","报[企管处主任审批]","报[相关部门审批]","报[归档状态]","不同意，退回"]},
			"公司办公室领导审批":{"planA":["处理","放弃处理"]},
			"公司党委办公室领导审批":{"planA":["处理","放弃处理"]},
			"相关业务部门审批":{"planA":["处理","不同意，退回"]},
			"公司领导审批":{"planA":["处理"]},
			"法律事务部门审核":{"planA":["报[公司办公室审核]","不同意，退回"]},
			"相关部门审批":{"planA":["报[企管法规处审核]","不同意，退回"]}
			//end OwO---印章申请相关 fby
};
//跳转页面的按钮
EastOA.jumpPageBtn ={ "转核稿":{"planA":["转核稿"]},"转签发":{"planA":["转签发"]},"转会签":{"planA":["转会签"]},"转发文":{"planA":["转发文"]},
				"重新拟稿":{"planA":["重新拟稿"]},"转二次核稿":{"planA":["转二次核稿"]},"报法律部门审核":{"planA":["确定"]}
				,"回复":{"planA":["发送"]},"回复全部":{"planA":["发送"]},"转发":{"planA":["转发"]},//zwl2
				//start OwO---印章申请相关 fby
				"报[相关业务部门审批]":{"planA":["确定"]},"报[公司领导审批]":{"planA":["确定"]},
				"报[企管处主任审批]":{"planA":["确定"]},"报[法律事务部门审核]":{"planA":["确定"]},"报[企管法规处审核]":{"planA":["确定"]},
				"报[相关部门审批]":{"planA":["确定"]}
				//end OwO---印章申请相关 fby
					};
//部室领到是否审批,是否核稿,是否会签,是否签发,是否复核
EastOA.buttonRule={isTestSuggest:false,isCheckSuggest:false,isMeet:false,isApproved:false,rechecked:false,isSecondCheckSuggest:false,isFirstCheck:true};
EastOA.checkStatus={isFirstCheck:false,isSecondCheck:false};
//规章制度部门经理是否首次审批
//EastOA.JlcheckStatus={isJlFirstCheck:true};
//获取当前日期时间
EastOA.getTime=function(){
	var date = new Date();
	var year = date.getFullYear();
	var month = date.getMonth()+1;
	var day = date.getDate();
	var hour = date.getHours();
	var minute = date.getMinutes();
	var second = date.getSeconds();
	var time = year+'-'+month+'-'+day+' '+hour+':'+minute+':'+second;
	return time;
};
//获取转发方式
EastOA.getEventWay = function(){
	var eventway ={};
	$('input[name=eventway]').each(function(i){
		if ($(this).attr('checked')=='checked'){
			eventway[$(this).val()] = "true";
		}else{
			eventway[$(this).val()] = "false";
		}
	});
	return eventway;
};

//提交通用处理方法
//跳转页面,请求协议,传递参数
EastOA.sendSFAction=function(current) {
	var pagePath = $(current).attr('pages_list');
	var requestInfo = $(current).attr('btn_request');
	var transParams = $(current).attr('transfor_params');
	var callBackMethod = $(current).attr('callBackMethod');
	var type = $(current).attr('transfor_type');
	var OrgId=$(current).attr('OrgId');//zwl2
	var umappPlugin = new UmappPlugin();
	if (transParams) {
		var params = transParams.split(',');
		for ( var i = 0; i < params.length; i++) {
			localStorage.setItem(params[i], $('#' + params[i]).val());
		}
	}
	if (type == "dialog") {//弹出框
		localStorage.setItem("buttonActionId", current.id);
		$('#dialogTitle').html($('#'+current.id).attr('button_text'));
		EastOA.fixedToggle();
		EastOA.showDialog('show');
	} else if (type == "page") {//跳转页面
		var params = {};

		params.resourceId=pagePath;
		localStorage.setItem("jumpIn","true");
		localStorage.setItem("Title", allVar.protocol.Title);
		localStorage.setItem("button_text",$(current).attr('button_text'));

		if(pagePath=='1003'){ //2016/05/17 by gcl 修复转发时先输入转发内容后选择收件人导致转发内容消失bug
			localStorage.setItem("replyContent",$('#replyContent').val());//使用localStorage.setItem()记录上当前填入的内容
		}
		localStorage.setItem("suggestion",$('textarea[auth_data="suggestion"]').val()); //审核内容存入 for印章 fby
		if (allVar.protocol.OrgId){
			localStorage.setItem("OrgID",allVar.protocol.OrgId);
		}else{
			//alert("没有OrgID");
		}
		if(OrgId){//zwl2
			localStorage.setItem("OrgId",OrgId);
		}else{
			localStorage.setItem("OrgId","175");
		}
		if($(current).attr('button_text')=='确定'){//zwl2，选人结束后跳转到转发页面
			var comIdArray = new Array();
			var comNameArray = new Array();
			var otherIdArray=new Array();
			var otherNameArray=new Array();
			var publicIdArray=new Array();
			var publicNameArray=new Array();
			var oldpublicNameArray=localStorage.getItem("publicNameArray");
			var oldpublicIdArray=localStorage.getItem("publicIdArray");
			var oldotherNameArray=localStorage.getItem("otherNameArray");
			var oldotherIdArray=localStorage.getItem("otherIdArray");
			var oldCheckName=localStorage.getItem("comNameArray");
			var oldCheckId=localStorage.getItem("comIdArray");
			//个人通讯录的处理
			if(oldotherNameArray!=null && oldotherNameArray!=""){
				var oldnames=oldotherNameArray.split(",");
				var oldids=oldotherIdArray.split(",");
				for(var i=0;i<oldnames.length;i++){
					otherNameArray.push(oldnames[i]);
					}
				for(var i=0;i<oldids.length;i++){
					otherIdArray.push(oldids[i]);
					}
			}
			$('input[name="otherPeople"]:checked').each(function(){
				for (var i=0;i<otherIdArray.length;i++){
					if(otherIdArray[i]==$(this).val()){
						otherIdArray.remove(i);
					}
				}
				otherIdArray.push($(this).val());
				for (var i=0;i<otherNameArray.length;i++){
					if(otherNameArray[i]==$(this).attr("textdata")){
						otherNameArray.remove(i);
					}
				}
				otherNameArray.push($(this).attr("textdata"));
			// chk_value.push($(this).val());
			});
			localStorage.setItem("otherIdArray",otherIdArray);
			localStorage.setItem("otherNameArray",otherNameArray);

			//公共通讯录的处理
			if(oldpublicNameArray!=null && oldpublicNameArray!=""){
				var oldnames=oldpublicNameArray.split(",");
				var oldids=oldpublicIdArray.split(",");
				for(var i=0;i<oldnames.length;i++){
					publicNameArray.push(oldnames[i]);
				}
				for(var i=0;i<oldids.length;i++){
					publicIdArray.push(oldids[i]);
				}
			}
			$('input[name="publicPeople"]:checked').each(function(){
				for (var i=0;i<publicIdArray.length;i++){
					if(publicIdArray[i]==$(this).val()){
						publicIdArray.remove(i);
					}
				}
				publicIdArray.push($(this).val());
				for (var i=0;i<publicNameArray.length;i++){
					if(publicNameArray[i]==$(this).attr("textdata")){
						publicNameArray.remove(i);
					}
				}
			publicNameArray.push($(this).attr("textdata"));
			// chk_value.push($(this).val());
			});
			localStorage.setItem("publicIdArray",publicIdArray);
			localStorage.setItem("publicNameArray",publicNameArray);
			//公司通讯
			if(oldCheckName!=null && oldCheckName!=""){
				var oldnames=oldCheckName.split(",");
				var oldids=oldCheckId.split(",");
				for(var i=0;i<oldnames.length;i++){
					comNameArray.push(oldnames[i]);
				}
				for(var i=0;i<oldids.length;i++){
					comIdArray.push(oldids[i]);
				}
			}
			$('input[name="selectPeople"]:checked').each(function(){
				for (var i=0;i<comIdArray.length;i++){
					if(comIdArray[i]==$(this).val()){
						comIdArray.remove(i);
					}
				}
				comIdArray.push($(this).val());
				for (var i=0;i<comNameArray.length;i++){
					if(comNameArray[i]==$(this).attr("textdata")){
						comNameArray.remove(i);
					}
				}
				comNameArray.push($(this).attr("textdata"));
		    // chk_value.push($(this).val());
			});
			localStorage.setItem("comIdArray",comIdArray);
			localStorage.setItem("comNameArray",comNameArray);
		}
		umappPlugin.jumpPage(params);
	}else if (type=="direct"){//直接提交
		var clickTag=0;//20160608 by gcl定义变量clickTag,用于判断点击一下后，禁止再多次点击执行方法

		if (callBackMethod){
			//执行提交方法
			var paramJson={};
			var jp = requestInfo;
			var orgJson = jQuery.parseJSON(EastOA.replace(jp));
			var auditPeopleId = $('#auditPeopleId').val();
			if (allVar.protocol.flowTypeName=='拟稿审批'&&$(current).attr('button_text')=='撤销'){
				paramJson.body = {"interface":"oaCancelTest","parameters":{"SFID":allVar.protocol.SFID,
				"userId":allVar.protocol.userId,"realUserId":allVar.protocol.userId}};
			}else if (allVar.protocol.flowTypeName=='核稿'&&$(current).attr('button_text')=='撤销'){
				if(allVar.protocol.PreAction == "5" || allVar.protocol.PreAction == "7"){ //复核时
					paramJson.body = {"interface":"oaCancelReCheck","parameters":{"SFID":allVar.protocol.SFID,
					"userId":allVar.protocol.userId,"realUserId":allVar.protocol.userId}};
				}else{
					paramJson.body = {"interface":"oaCancelCheck","parameters":{"SFID":allVar.protocol.SFID,
						"userId":allVar.protocol.userId,"realUserId":allVar.protocol.userId}};
				}
			}else if (allVar.protocol.flowTypeName=='二次核稿'&&$(current).attr('button_text')=='撤销'){
				paramJson.body = {"interface":"oaCancelSecondCheck","parameters":{"SFID":allVar.protocol.SFID,
					"userId":allVar.protocol.userId,"realUserId":allVar.protocol.userId}};
			}else if (allVar.protocol.flowTypeName=='会签'&&$(current).attr('button_text')=='撤销'){//会签撤销
				paramJson.body = {"interface":"oaUndoMeeting","parameters":{"SFID":allVar.protocol.SFID,
					"UserID":allVar.protocol.userId}};
			}else if (allVar.protocol.flowTypeName=='部门经理审批'&&$(current).attr('button_text')=='转发文'){//规章制度转发文
				var userInfo = allFlow.userInfo;
				var userObj = EastOA.translateJsonObject(userInfo);
				paramJson.body = {"interface":"oaWFToSFDocs","parameters":{"instanceID":allFlow.dfInstanceID,
				    "userID":userObj.userId,"tmpID": allFlow.dfTmpID,"userName":userObj.realName}};
			}
			else if ($(current).attr('button_text')=='退回，不同意'){  //规章制度退回
				var userInfo = allFlow.userInfo;
				var userObj = EastOA.translateJsonObject(userInfo);
				paramJson.body = {"interface":"oaflow_post_ReturnFlow","parameters":{
					 "instanceID": allFlow.dfInstanceID,
					 "activityName": allFlow.AtionStep,
					"tmpID":allFlow.dfTmpID,
					"userID":userObj.userId,
					"userName": userObj.realName,
					"Sugg": "不同意，退回"
				}};
				EastOA.submitData($(current).attr('id'),orgJson,paramJson);
			}else if ($(current).attr('button_text')=='不同意，退回'){ //印章申请退回
				var content = $('textarea[auth_data="suggestion"]').val();
				content = content.replace(/\\/g, "/").replace(/\"/g, "“");
				if(content.length<1){
				    EastOA.alertInfo("请输入审批意见!")
				    return false;
				}
				else{
					var popHtml = "<div id='confirmDia' style='border-radius:5px;width:90%;background:#FFF;z-index: 1200; position: absolute;top: 25%;  left: 5%;margin:0 auto;display:block;'><div class='popping'> <ul> <li class='first_li'><a href='#' class='active' id='validateTitle'>警告</a></li> <li class='dropdown text_center'><a href='#' id='validateText'>退回后流程需要重新审批，确定退回吗？</a></li> <li class='popping_btn'> <a href='#' class='bd_right' id='yesToBack'>确定</a> <a href='#' class='text_center' id='cancelToBack'>取消</a> </li> </ul> </div> </div>"
					$('#showValidate').after(popHtml);
					EastOA.fixedToggle();
					EastOA.showDialog("confirmDia");
					$('#yesToBack').click(function(){
						$("#bg").hide();
						$("#confirmDia").hide();
						var userInfo = allFlow.userInfo;
						var userObj = EastOA.translateJsonObject(userInfo);
						paramJson.body = {"interface":"oaflow_post_ReturnFlow","parameters":{
							 "instanceID": allFlow.dfInstanceID,
							 "activityName": allFlow.AtionStep,
							"tmpID":allFlow.dfTmpID,
							"userID":userObj.userId,
							"userName": userObj.realName,
							"Sugg": "不同意，退回"
						}};
						EastOA.submitData($(current).attr('id'),orgJson,paramJson);
						$('#multiBtnDiv').toggle();
					});
					$('#cancelToBack').click(function(){
						makesure = false;
						$("#bg").hide();
						$("#confirmDia").hide();
						return false;
					});
					return false;
				}
		    }else if ($(current).attr('button_text')=='转核稿'){
				var eventway = EastOA.getEventWay();
				paramJson.body = {"interface":"oaSendPostSubmitSFAction","parameters":{"Meetors":auditPeopleId,
				"SFID":allVar.protocol.SFID,"imprequired":eventway["imprequired"],"suggestion":$('textarea[name=Suggestion]').val(),
				"smsrequired":eventway["smsrequired"],"emailrequired":eventway["emailrequired"],"message":$('textarea[name=Suggestion]').val(),
				"submitorid":allVar.protocol.userId,"realUserId":auditPeopleId,"MeetStatus":"Single","Action":"4"}};
				if (!EastOA.validateMember(auditPeopleId)){//如果没有选人
					EastOA.alertInfo("请选择审批人！");
					return false;
				}
			}else if($(current).attr('button_text')=='转会签'){
				var eventway = EastOA.getEventWay();
				paramJson.body = {"interface":"oaSendPostSubmitSFAction","parameters":{"Meetors":auditPeopleId,
				"SFID":allVar.protocol.SFID,"imprequired":eventway["imprequired"],"suggestion":$('textarea[name=Suggestion]').val(),
				"smsrequired":eventway["smsrequired"],"emailrequired":eventway["emailrequired"],"message":$('textarea[name=Suggestion]').val(),
				"submitorid":allVar.protocol.userId,"realUserId":auditPeopleId,"MeetStatus":"More","Action":"3"}};
				if (!EastOA.validateMember(auditPeopleId)){//如果没有选人
					EastOA.alertInfo("请选择审批人！");
					return false;
				}
			}else if($(current).attr('button_text')=='重新拟稿'){
				var eventway = EastOA.getEventWay();
				paramJson.body = {"interface":"oaSendPostSubmitSFAction","parameters":{"Meetors":auditPeopleId,
				"SFID":allVar.protocol.SFID,"imprequired":eventway["imprequired"],
				"smsrequired":eventway["smsrequired"],"emailrequired":eventway["emailrequired"],
				"suggestion":$('textarea[name=Suggestion]').val(),"message":"",
				"submitorid":allVar.protocol.userId,"realUserId":auditPeopleId,"MeetStatus":"Single","Action":"1"}};
				if (!EastOA.validateMember(auditPeopleId)){//如果没有选人
					EastOA.alertInfo("请选择审批人！");
					return false;
				}
			}else if ($(current).attr('button_text')=='转二次核稿'){
				var eventway = EastOA.getEventWay();
				paramJson.body = {"interface":"oaSendPostSubmitSFAction","parameters":{"Meetors":auditPeopleId,
				"SFID":allVar.protocol.SFID,"imprequired":eventway["imprequired"],
				"smsrequired":eventway["smsrequired"],"emailrequired":eventway["emailrequired"],
				"suggestion":$('textarea[name=Suggestion]').val(),"message":"",
				"submitorid":allVar.protocol.userId,"realUserId":auditPeopleId,"MeetStatus":"Single","Action":"7"}};
				if (!EastOA.validateMember(auditPeopleId)){//如果没有选人
					EastOA.alertInfo("请选择审批人！");
					return false;
				}
			}else if ($(current).attr('button_text')=='转签发'){
				var eventway = EastOA.getEventWay();
				paramJson.body = {"interface":"oaSendPostSubmitSFAction","parameters":{"Meetors":auditPeopleId,
				"SFID":allVar.protocol.SFID,"imprequired":eventway["imprequired"],
				"smsrequired":eventway["smsrequired"],"emailrequired":eventway["emailrequired"],
				"suggestion":$('textarea[name=Suggestion]').val(),"message":"",
				"submitorid":allVar.protocol.userId,"realUserId":auditPeopleId,"MeetStatus":"More","Action":"5"}};
				if (!EastOA.validateMember(auditPeopleId)){//如果没有选人
					EastOA.alertInfo("请选择审批人！");
					return false;
				}
			}else if ($(current).attr('button_text')=='转发文'){
				var eventway = EastOA.getEventWay();
				paramJson.body = {"interface":"oaSendPostSubmitSFAction","parameters":{"Meetors":auditPeopleId,
				"SFID":allVar.protocol.SFID,"imprequired":eventway["imprequired"],
				"smsrequired":eventway["smsrequired"],"emailrequired":eventway["emailrequired"],
				"suggestion":$('textarea[name=Suggestion]').val(),"message":"",
				"submitorid":allVar.protocol.userId,"realUserId":auditPeopleId,"MeetStatus":"Single","Action":"6"}};
				if (!EastOA.validateMember(auditPeopleId)){//如果没有选人
					EastOA.alertInfo("请选择审批人！");
					return false;
				}
			}else if($(current).attr('button_text')=='确定'){
				var content = $('textarea[auth_data="suggestion"]').val();
				content = content.replace(/\\/g, "/").replace(/\"/g, "“");
				if(clickTag==0){
					if(content.length<1 && allVar.protocol.flowTypeName != "公司办公室审核" &&
					allVar.protocol.flowTypeName != "党委办公室审核" ){
					    EastOA.alertInfo("请输入审批意见!") ;
					    return false;
					}
					else{
					    var userInfo = allFlow.userInfo;
					    var userObj = EastOA.translateJsonObject(userInfo);
					    if (!EastOA.validateMember(auditPeopleId)){//如果没有选人
							EastOA.alertInfo("请选择审批人！");
							return false;
					    }else{
						clickTag=1;
						    function join(){
								var auditPeopleName = $('#auditPeopleName').html();
								var auditPeopleIdArr = auditPeopleId.split(",");
								var auditPeopleNameArr = auditPeopleName.split(",");
								var i=auditPeopleIdArr.length;
								var join=[];
								for(var h=0;h< i;h++){
								    join.push(auditPeopleIdArr[h]);
								    join.push(auditPeopleNameArr[h]);
								}
								var joinstr = join.join(",");
								return joinstr;
						    }
						    var joinstr= join();
						    //var eventway = EastOA.getEventWay();
						    //start OwO----印章申请修改fby
							if(allVar.protocol.flowType == '公司领导名章使用申请' ||
							allVar.protocol.flowType == '公司印章使用申请' ||
							allVar.protocol.flowType == '党委印章使用申请' ||
							allVar.protocol.flowType == '法定代表人名章使用申请' ||
							allVar.protocol.flowType == '证照使用申请'){
								var nextAtion = localStorage.getItem('button_text').split('[')[1];
								nextAtion = nextAtion.split(']')[0];
								paramJson.body = {"interface":"oaflow_post_ExecAuditforyinzhang","parameters":{
									"instanceID": allFlow.dfInstanceID,
									"activityName": allFlow.AtionStep,
									"nextActivityName": nextAtion,
									"tmpID":allFlow.dfTmpID,
									"userID":userObj.userId,
									"userName": userObj.realName,
									"content": content,
									"users": joinstr
								}};
							}else{
								paramJson.body = {"interface":"oaflow_post_ExecAudit","parameters":{
									"instanceID": allFlow.dfInstanceID,
									"activityName": allFlow.AtionStep,
									"tmpID":allFlow.dfTmpID,
									"userID":userObj.userId,
									"userName": userObj.realName,
									"content": content,
									"users": joinstr
								}};
							}
							$(current).attr("transfor_type",'');//20160608 by gcl  在第一次点击后， 定义的变量 clickTag由0  改为1.  然后   把transfor_type  修改为空,则不会进行方法提交

						}
					}

					//alert("clickTag:"+clickTag)
				} //if(clickTag==0)
		    }else if($(current).attr('button_text')=='报部门经理审批'||
			$(current).attr('button_text')=='处理'){
				var content = $('textarea[auth_data="suggestion"]').val();
				content = content.replace(/\\/g, "/").replace(/\"/g, "“");
			    if(content.length<1){
					EastOA.alertInfo("请输入审核意见！");
				    return false;
				}else{
				    var userInfo = allFlow.userInfo;
				    var userObj = EastOA.translateJsonObject(userInfo);
				    var eventway = EastOA.getEventWay();
				    paramJson.body = {"interface":"oaflow_post_ExecAudit","parameters":{
					"instanceID": allFlow.dfInstanceID,
					"activityName": allFlow.AtionStep,
					"tmpID":allFlow.dfTmpID,
					"userID":userObj.userId,
					"userName": userObj.realName,
					"content": content,
					"users": ''
				    }};
				}
			}else if($(current).attr('button_text')=='报[公司办公室审核]'||
			$(current).attr('button_text')=='报[党委办公室审核]'||
			$(current).attr('button_text')=='报[公司办公室领导审批]'||
			$(current).attr('button_text')=='报[公司党委办公室领导审批]'||
			$(current).attr('button_text')=='报[企管法规处审核]'||
			$(current).attr('button_text')=='报[归档状态]'){
				var content = $('textarea[auth_data="suggestion"]').val();
				content = content.replace(/\\/g, "/").replace(/\"/g, "“");
				if(content.length<1 && allVar.protocol.flowTypeName != "公司办公室审核" &&
				allVar.protocol.flowTypeName != "党委办公室审核" ){
					EastOA.alertInfo("请输入审核意见！");
				    return false;
				}else{
				    var userInfo = allFlow.userInfo;
				    var userObj = EastOA.translateJsonObject(userInfo);
				    var eventway = EastOA.getEventWay();
					var nextAtion = $(current).attr('button_text').split('[')[1];
					nextAtion = nextAtion.split(']')[0];
				    paramJson.body = {"interface":"oaflow_post_ExecAuditforyinzhang","parameters":{
						"instanceID": allFlow.dfInstanceID,
						"activityName": allFlow.AtionStep,
						"nextActivityName": nextAtion,
						"tmpID":allFlow.dfTmpID,
						"userID":userObj.userId,
						"userName": userObj.realName,
						"content": content,
						"users": ''
				    }};
				}
			}else if($(current).attr('button_text')=='放弃处理'){ //only for印章申请 放弃处理 -fby
				var userInfo = allFlow.userInfo;
				var userObj = EastOA.translateJsonObject(userInfo);
				paramJson.body = {"interface":"oaCancleDo","parameters":{
					"instanceID": allFlow.dfInstanceID,
					"userId": userObj.userId
				}};
		    }else if($(current).attr('button_text')=='批准'){
				var number = $('input[auth_data="checkNumber"]').val();
				var content = $('textarea[auth_data="suggestion"]').val();
				if(number.length<1){
				    EastOA.alertInfo("请输入付款密码！");
				    return false;
				}else{
				    var userInfo = allFlow.userInfo;
				    var userObj = EastOA.translateJsonObject(userInfo);
				    var eventway = EastOA.getEventWay();
				    paramJson.body = {"interface":"approveOracleERPWorkItem","parameters":{
						"p_nid":allFlow.notification_id,
						"p_user":allFlow.from_user,
						"p_note":content,
						"p_psw":number,
						"p_obid":allFlow.document_id
				    }};
				    //var paramJson1 = JSON.stringify(paramJson);
				}
		    }else if($(current).attr('button_text')=='拒绝'){
				var number = $('input[auth_data="checkNumber"]').val();
				var content = $('textarea[auth_data="suggestion"]').val();
				if(number.length<1){
				    EastOA.alertInfo("请输入付款密码！");
				    return false;
				}
				else{
				    var userInfo = allFlow.userInfo;
				    var userObj = EastOA.translateJsonObject(userInfo);
				    var eventway = EastOA.getEventWay();
				    paramJson.body = {"interface":"refuseOracleERPWorkItem","parameters":{
						"p_nid":allFlow.notification_id,
						"p_user":allFlow.from_user,
						"p_note":content,
						"p_psw":number,
						"p_obid":allFlow.document_id
				    }};
				    //var paramJson1 = JSON.stringify(paramJson);
				}
			}else if (allVar.protocol.flowTypeName=='签 收'&&$(current).attr('button_text')=='发送'){//zwl
				var userInfo = allFlow.userInfo;
				var userObj = EastOA.translateJsonObject(userInfo);
				var content=$.trim($("#replyContent").val()+'<hr size=1 style="color: #000;border-style:dashed ;width:100%;margin:10px 0;">'+
						'发件人：'+allVar.protocol.UserName+'<br>'+
						'发送时间：'+allVar.protocol.CreatTime+'<br>'+
						'收件人：'+allVar.protocol.Receivers+'<br>'+
						'主题：'+allVar.protocol.Title+'<br>'+
						$("#Content").html());
				if($("#Receivers").html()=="" || $("#Receivers").html()==null){
					EastOA.alertInfo("请选择收人!");
					return false;
				}
				var title=$("#Title").html();
				var receiversId;
				if(localStorage.getItem("replyStatus")==0){//回复发送人
					receiversId=allVar.protocol.UserID;
				}else if(localStorage.getItem("replyStatus")==1){//回复全部
					receiversId=allVar.protocol.ReceiversID+","+allVar.protocol.UserID;
					recIds=receiversId.split(",");
					for (var i=0;i<recIds.length;i++){
						if(recIds[i]==userObj.userId){
								recIds.remove(i);
						}
					}
					recIds=$.unique(recIds);
					receiversId=recIds.join(",");
				}else{//zwl2转发
					receiversId=localStorage.getItem("comIdArray");
					var otherIdArray=localStorage.getItem("otherIdArray");
					if(otherIdArray!=null && otherIdArray!=""){
						receiversId+=","+otherIdArray;
						}
					var publicIdArray=localStorage.getItem("publicIdArray");
					if(publicIdArray!=null && publicIdArray!=""){
						receiversId+=","+publicIdArray;
						}
					}
				paramJson.body = {"interface":"oaSendInstantMessage","parameters":{"SmsID":allVar.protocol.SMSID,
								"senderId":allVar.protocol.userId,"sendername":allVar.protocol.realName,"receiversId":receiversId,"content":content,
								"title":title}};
			}
			EastOA.submitData($(current).attr('id'),orgJson,paramJson);
		}else{
			umappPlugin.returnBacklog({"isRefresh":"0","isRemove":"0"});
		}
	}
	$('#multiBtnDiv').toggle();
};
//详情页面刷新
EastOA.returnDetail=function(){
	var umappPlugin = new UmappPlugin();
	umappPlugin.returnDetail();
};
//返回待办列表
EastOA.returnBacklog=function(behave){
	if(behave==""||behave==undefined){
		behave = {"isRefresh":"0","isRemove":"0"};
	}
	var umappPlugin = new UmappPlugin();
	umappPlugin.returnBacklog(behave);
};

//返回上一个页面
EastOA.closePage=function(){
	var umappPlugin = new UmappPlugin();
	umappPlugin.closePage();
};
//替换json
EastOA.replaceJson=function(){
	var umappPlugin = new UmappPlugin();
	umappPlugin.replaceJson();
};
//验证是否选择人员
EastOA.validateMember=function(auditPeopleId){
	if (auditPeopleId==""){
		return false;
	}else{
		return true;
	}
};
//弹出框显示
EastOA.showDialog=function(selector){
	$('html,body').animate({scrollTop: '0px'}, 100);
	var content_height = $(window).height();
	$('#'+selector).css({"left": "18px","top":content_height/2-100,"display":"block"});
	$("#bg").css("display","block");
	$('#bg').bind("touchstart",function(e){
		e.stopPropagation();
		e.preventDefault();
	});
	$('#bg').bind("touchmove",function(e){
		e.stopPropagation();
		e.preventDefault();
	});
	$('#'+selector).bind("touchmove",function(e){
		e.stopPropagation();
		e.preventDefault();
	});
};
//通用警告提示
EastOA.alertInfo=function(msg){
	EastOA.fixedToggle();
	$('#validateText').text(msg);
	EastOA.showDialog('showValidate');
};
//根据规则显示按钮
//默认是将所有按钮显示，然后按规则将不需要的按钮剔除掉
EastOA.showButton=function(btns){
	var removeBtn = [];
	$('#multiBtnDiv').find('a').each(function(j){
		var buttonText = $(this).attr('button_text');
		for (var i=0,length=btns.length;i<length;i++){
			if (buttonText==btns[i]){
				removeBtn[j]=[];
				break;
			}else{
				removeBtn[j] = $(this);
			}
		}
	});
	for (var k=0,rSize = removeBtn.length;k<rSize ;k++){
		if ($(removeBtn[k]).length>0){
			$(removeBtn[k]).remove();
		}
	}
};
//按钮规则生成
EastOA.getButtonRules=function(flowInfo){
	this.buttonRule.isTestSuggest=false;
	this.buttonRule.isCheckSuggest=false;
	this.buttonRule.isMeet=false;
	this.buttonRule.isApproved=false;
	this.buttonRule.rechecked=false;
    this.buttonRule.isJlFirstCheck=true;
    this.buttonRule.isFirstCheck = true; //OwO----印章申请添加fby
	if (flowInfo.protocol.TestorName&&flowInfo.protocol.TestSuggestion&&flowInfo.protocol.TestDate){
		var suggestion = $.trim(flowInfo.protocol.TestorName)+
						$.trim(flowInfo.protocol.TestSuggestion)+$.trim(flowInfo.protocol.TestDate);
		if (suggestion!=""){
			this.buttonRule.isTestSuggest=true;
		}
	}
	if (flowInfo.protocol.IsRechecked){
		if (flowInfo.protocol.IsRechecked!="0"){
			this.buttonRule.rechecked = true;
		}
	}
	if (flowInfo.protocol.CheckorName&&flowInfo.protocol.CheckDate){
		var suggestion = $.trim(flowInfo.protocol.CheckorName)+
						$.trim(flowInfo.protocol.CheckDate)+$.trim(flowInfo.protocol.CheckSuggestion);
		if (suggestion!=""){
			this.buttonRule.isCheckSuggest=true;
		}
	}
	if (flowInfo.protocol.MeetInfo){
		var length = flowInfo.protocol.MeetInfo.length;
		var meetObj = flowInfo.protocol.MeetInfo;
		if (length>0){
			for (var i=0;i<length;i++){
				if (meetObj[i]["MeetorID"]==flowInfo.protocol.userId){
					this.buttonRule.isMeet=true;
					break;
				}
			}
		}
	}
    if(flowInfo.protocol.bmjlAuditList){
	var length = flowInfo.protocol.bmjlAuditList.length;
	var meetObj = flowInfo.protocol.bmjlAuditList;
	if (length>1){
		    this.buttonRule.isJlFirstCheck=false;
	}
    }
	if (flowInfo.protocol.ApproverInfo){
		var length = flowInfo.protocol.ApproverInfo.length;
		var approverObj = flowInfo.protocol.ApproverInfo;
		if (length>0){
			for (var i=0;i<length;i++){
				if (approverObj[i]["ApproverID"]==flowInfo.protocol.userId){
					this.buttonRule.isApproved = true;
					break;
				}
			}
		}
	}
	if (flowInfo.protocol.SecondCheckDate&&$.trim(flowInfo.protocol.SecondCheckDate)!=""){
		this.buttonRule.isSecondCheckSuggest = true;
	}
	//start OwO----印章申请添加fby
	if (flowInfo.protocol.AuditBtnInfo){
		var btnObj = flowInfo.protocol.AuditBtnInfo;
		if(btnObj.length == 5){
			this.buttonRule.isFirstCheck = false;
		}
	}
	//end OwO----印章申请添加fby

};


//清除本地缓存
EastOA.clearLocalStorage=function() {
	localStorage.clear();
};
//调用选择树
EastOA.callTree=function(){
	var tObj = $.fn.zTree.getZTreeObj("treeDemo");
	if (tObj!=null){
		tObj.addNodes(null, allVar.protocol.selectMembers);
		var btnText = localStorage.getItem("button_text");
		//多选处理
		if (btnText=='转会签'||btnText=='转签发'|| btnText=='报法律部门审核'|| btnText=='报[公司领导审批]'  //OwO----印章申请修改fby
		|| btnText=='报[公司办公室领导审批]' || btnText=='报[相关业务部门审批]' || btnText=='报[法律事务部门审核]'
		|| btnText=='报[企管法规处审核]' || btnText=='报[企管处主任审批]' || btnText=='报[相关部门审批]'){
			tObj.setting.check.enable=true;
			tObj.refresh();
		}
	}
};

function addDiyDom(treeId,treeNode){
	var spaceWidth = 20;
	var switcher = $("#" + treeNode.tId + "_switch"),checker = $("#" + treeNode.tId + "_check");
	switcher.remove();
	checker.remove();
	$("#" + treeNode.tId + "_a").prepend(checker);
	$("#" + treeNode.tId + "_a").prepend(switcher);
	if (treeNode.level > 0) {
		var spaceStr = "<span style='display: inline-block;width:" + (spaceWidth * treeNode.level)+ "px'></span>";
		switcher.before(spaceStr);
	}
}
//选人点击处理
function clickToCheck(event, treeId, treeNode){
	var checker = $("#" + treeNode.tId);
	var treeObj = $.fn.zTree.getZTreeObj("treeDemo");
	var nodes = treeObj.getSelectedNodes();
	if (treeNode.isParent){
		treeObj.expandNode(treeNode,'',true, true);
		return false;
	}
	var ids = '';
	var names = '';
	if (!treeObj.setting.check.enable){
		if (!treeNode.isParent){
			ids = treeNode.id;
			names = treeNode.name;
			$('#auditPeopleId').val(ids);
			$('#auditPeopleName').html(names);
		}
	}else{
		for (var i=0, l=nodes.length; i < l; i++) {
			if (nodes[i].isParent){
				continue;
			}
			treeObj.checkNode(nodes[i],'',true);
		}
		var nodesCheck = treeObj.getCheckedNodes(true);
		for (var j=0,checkLength=nodesCheck.length;j<checkLength;j++){
			if (!nodesCheck[j].isParent){//子节点
				if (nodesCheck[j].id==''||nodesCheck[j].id==null){
					continue;
				}
				if (j==0){
					ids = nodesCheck[j].id;
					names = nodesCheck[j].name;
				}else{
					ids += ","+nodesCheck[j].id;
					names += ","+nodesCheck[j].name;
				}
			}
		}
		if (ids.indexOf(',')==0){
			ids = ids.substring(1);
			names = names.substring(1);
		}
		$('#auditPeopleId').val(ids);
		$('#auditPeopleName').html(names);

	}
	treeObj.expandNode(treeNode,'',true, true);
}

function zTreeOnCheck(event, treeId, treeNode) {
	var treeObj = $.fn.zTree.getZTreeObj("treeDemo");
	var nodesCheck = treeObj.getCheckedNodes(true);
	for (var j=0,checkLength=nodesCheck.length;j<checkLength;j++){

		if (!nodesCheck[j].isParent){//子节点
			if (nodesCheck[j].id==''||nodesCheck[j].id==null){
				continue;
			}
			if (j==0){
				ids = nodesCheck[j].id;
				names = nodesCheck[j].name;
			}else{
				ids += ","+nodesCheck[j].id;
				names += ","+nodesCheck[j].name;
			}
		}
	}
	if (ids.indexOf(',')==0){
		ids = ids.substring(1);
		names = names.substring(1);
	}
	$('#auditPeopleId').val(ids);
	$('#auditPeopleName').html(names);
	treeObj.expandNode(treeNode,'',true, true);
};

$(document).ready(function(){
	var isMuti = false;
	var setting = {
		view:{
			showIcon:false,
			showLine:false,
			addDiyDom:addDiyDom,
			dblClickExpand:false
		},
		data:{
			simpleData:{
				enable:true
			}
		},
		check:{
			//enable:true,
			chkboxType: { "Y": "s", "N": "ps" }
		},
		callback:{
			onClick:clickToCheck,
			onCheck: zTreeOnCheck
		}
	};

	var zNodes =[];
	$.fn.zTree.init($("#treeDemo"), setting, zNodes);
});
