/*v0.0.1*/

//创建umappPlugin对象
var uPlugin = new UmappPlugin();

/**
 * 所有变量对象
 * 调用用户变量  allFlow.userInfo
 * 调用协议变量  allVar.protocol.xxx
 */
var  allVar={};
var  allFlow={};

$(function(){
    uPlugin.getFlowParams(function(data){
	allFlow = data;
	initVar();
    });
});

//页面调用时的参数处理
//现在处理：选人界面的查询；选人界面的输入框默认值
//2016/05/24 by gcl 增加出差申请流程，新增变量：pageTit、ComTypeVal、ComTypeArr
function handleParams(){
    var paramJson = {};
    var pageTit=$(document).attr("title"),
	ComTypeVal='',
	ComTypeArr=['GetDetailsOfFlow','GetApplyDetails'];//ComType值：[差旅报销，出差申请]

    switch(pageTit){
	case "出差申请":
		ComTypeVal=ComTypeArr[1];
	break;
	default:
		ComTypeVal=ComTypeArr[0];
    }
    paramJson={"parameters":{"ComType":ComTypeVal,"FlowID":allFlow.FlowID}};
    return paramJson;
}

//初始化变量
function  initVar(){
    //获取协议参数
    if (typeof handleParams === 'function'){
	obj = handleParams();
	uPlugin.getAllVariate(getDataCallBack,obj);
    }else{
	uPlugin.getAllVariate(getDataCallBack,{});
    }
};
//插件获取回调
function   getDataCallBack(data){
    allVar =data;
    uPlugin.closeProgressBar();
    var data1 = allVar.protocol,
	//serviceCode=allVar.serviceCode;//2016/05/27 by gcl add定义流程代码
		//2016/05/31 by gcl 获取当前页面title值，由于app方面接口值没有了servicecode所以定义title
		thisPageTit=$(document).attr("title");
    var html = template('data_info_content', {data:data1});
    document.getElementById('data_info').innerHTML = html;
    var html = template('data_history_content', {data:data1});
    document.getElementById('data_history').innerHTML = html;

    switch(thisPageTit){
		case '差旅报销'://2016/05/27 by gcl 如果是差旅报销TravelClaim
			SpecialField.toChangeRed(data1);//2016/1/20 by gcl 费用超额需要处理为红色事件
		break;
		case '出差申请'://2016/05/30 by gcl 如果是出差申请RFTripApply
			SpecialVal(data1.International)
		break;
    }


};

//关闭详细
function closeDetail(params)
{
    uPlugin.closeDetail(params);
};

//提交审核处理——fanboyang
function submitOpinion(opinion,comment){
    uPlugin.showProgressBar();
    this.comment = comment;
    this.opinion = opinion;
    var paramJson = {"parameters":{"ComType":this.opinion,"FlowID":allFlow.FlowID,"Suggestion":this.comment}};
    uPlugin.getAllVariate(function(d){ //提交
	uPlugin.closeProgressBar();
	if (d.protocol.IsAccess != true){
	    showAlert( d.RetMessage );
	}
	else{uPlugin.returnBacklog({"isRefresh":"0","isRemove":"1"});}
    },paramJson);
}

//返回列表——fanboyang
function returnBack(behave){
    if(behave==""||behave==undefined){
      behave = {"isRefresh":"0","isRemove":"0"}
    }
    uPlugin.returnBacklog(behave);
};

//附件预览——fanboyang
function docPreview(filrUrl,fileName){
    var parm = {"AttachWholeUrl":filrUrl,"AttachName":fileName};
    uPlugin.docPreview(parm);
};

//区分android和iOS对JSON的转化
function translateJsonObject(sourceJson){
  var destJson = null;
  try{//android
    destJson = jQuery.parseJSON(sourceJson);
  }catch(e){//IOS
    destJson = sourceJson;
  }
  return destJson;
};

//显示提示框——fanboyang
function showAlert(alertText){
    $('#sucessWarm').html(alertText);
    $(".confirmWarm-box-cancle").removeClass("none");
}