/*v0.0.1*/

//创建umappPlugin对象
var uPlugin = new UmappPlugin();

/**
 * 所有变量对象
 * 调用用户变量  allFlow.userInfo
 * 调用协议变量  allVar.protocol.xxx
 */
var allData = {};
var allFlow = {};

$(function () {
    uPlugin.getFlowParams(function (data) {
        try {
            allFlow = data;
            initData();
        }
        catch (ex) { alert(ex); }
    });
});

//页面调用时的参数处理
//现在处理：选人界面的查询；选人界面的输入框默认值
//2016/05/24 by gcl 增加出差申请流程，新增变量：pageTit、ComTypeVal、ComTypeArr


//初始化变量
function initData() {
    //获取协议参数
    //if (typeof handle === 'function') {
    obj = handle();
    uPlugin.getAllVariate(getDataCallBackN, obj);
    //} else {
    //    //uPlugin.getAllVariate(getDataCallBack, {});
    //}
};

function handle() {
    var paramJson = {};
    var pageTit = $(document).attr("title"),
	ComTypeVal = '',
	ComTypeArr = ['GetDetailsOfFlow', 'GetJoinPartyApplyByInstanceId'];//ComType值：[差旅报销，出差申请]

    switch (pageTit) {
        case "入党审批":
            ComTypeVal = ComTypeArr[1];
            break;
        default:
            ComTypeVal = ComTypeArr[0];
    }
    paramJson = { "parameters": { "ComType": ComTypeVal, "FlowID": allFlow.FlowID } };
    return paramJson;
}

//插件获取回调
function getDataCallBackN(data) {
    allData = data;
    uPlugin.closeProgressBar();
    var jsonStr = JSON.stringify(allData);
    //alert(jsonStr);
    var data1 = allData.protocol.WorkList[0].specialJson.JoinPartyApply;
    var array = [];

    array.push("<li class='highlight hover ui-sortable-handle' id='listrow_type_222_1472698754251' name='listrow_type_222'>");
    array.push("<table listrowid='AuditHistory' id='idId_1407572605864' class='bd_none' cellpadding='0' cellspacing='0'>");
    array.push(" <tbody>");

    //姓名
    var EMPLOYEE_NAME = '';
    if (data1.EMPLOYEE_NAME !== null && data1.EMPLOYEE_NAME !== undefined && data1.EMPLOYEE_NAME !== '' && !isEmptyObject(data1.EMPLOYEE_NAME)) {
        EMPLOYEE_NAME = data1.EMPLOYEE_NAME;
    }
    array.push("<tr >");
    array.push("  <td ondragover='allowDrop(event)' width='25%'><label id='idId_1407572632469' style='' columnname='ManaItem'  name='tablelabel_type_idId_1407572632469'><p>姓名：</p> </label></td>");
    array.push("  <td ondragover='allowDrop(event)' width='25%'><label id='idId_1407572634642' style='' columnname='Manager' name='tablelabel_type_idId_1407572634642'><p>" + data1.EMPLOYEE_NAME + "</p> </label></td>");
    array.push("  </tr>");

    //曾用名
    var BEFORENAME = '';
    if (data1.BEFORENAME !== null && data1.BEFORENAME !== undefined && data1.BEFORENAME !== '' && !isEmptyObject(data1.BEFORENAME)) {
        BEFORENAME = data1.BEFORENAME;
    }
    array.push("<tr >");
    array.push("<td ondragover='allowDrop(event)'><label id='idId_1405417270311' style='line-height: 15px;' name='idId_1405417270311'>曾用名:</label></td>");
    array.push("<td ondragover='allowDrop(event)'><label id='idId_1405417273008' style='line-height: 15px;' name='idId_1405417273008'>" + BEFORENAME + "</label></td>");
    array.push("  </tr>");

    //性别
    var SEX = '';
    if (data1.SEX !== null && data1.SEX !== undefined && data1.SEX !== '') {
        //SEX = data1.SEX == "1" ? "男" : "女";
        SEX = data1.SEX == "1" ? "男" : "女";
    }
    array.push("<tr>");
    array.push("<td ondragover='allowDrop(event)' width='25%'><label id='idId_1407572632469' style='' columnname='ManaItem'  name='tablelabel_type_idId_1407572632469'><p>性别：</p> </label></td>");
    array.push("<td ondragover='allowDrop(event)' width='25%'><label id='idId_1407572634642' style='' columnname='Manager' name='tablelabel_type_idId_1407572634642'><p>" + SEX + "</p> </label></td>");
    array.push("</tr>");

    //民族
    var NATION_NAME = '';
    if (data1.NATION_NAME !== null && data1.NATION_NAME !== undefined && data1.NATION_NAME !== '' && !isEmptyObject(data1.NATION_NAME)) {
        NATION_NAME = data1.NATION_NAME;
    }
    array.push("<tr>");
    array.push("<td ondragover='allowDrop(event)'><label id='idId_1405417270311' style='line-height: 15px;' name='idId_1405417270311'>民族:</label></td>");
    array.push("<td ondragover='allowDrop(event)'><label id='idId_1405417273008' style='line-height: 15px;' name='idId_1405417273008'>" + NATION_NAME + "</label></td>");
    array.push("</tr>");

    //家庭出身
    var FAMILYORIGIN = '';
    if (data1.FAMILYORIGIN !== null && data1.FAMILYORIGIN !== undefined && data1.FAMILYORIGIN !== '' && !isEmptyObject(data1.FAMILYORIGIN)) {
        FAMILYORIGIN = data1.FAMILYORIGIN;
    }
    array.push("<tr>");
    array.push("<td ondragover='allowDrop(event)' width='25%'><label id='idId_1407572632469' style='' columnname='ManaItem'  name='tablelabel_type_idId_1407572632469'><p>家庭出身：</p> </label></td>");
    array.push("<td ondragover='allowDrop(event)' width='25%'><label id='idId_1407572634642' style='' columnname='Manager' name='tablelabel_type_idId_1407572634642'><p>" + FAMILYORIGIN + "</p> </label></td>");
    array.push("</tr>");

    //本人成份
    var ICOMPOSITION = '';
    if (data1.ICOMPOSITION !== null && data1.ICOMPOSITION !== undefined && data1.ICOMPOSITION !== '' && !isEmptyObject(data1.ICOMPOSITION)) {
        ICOMPOSITION = data1.ICOMPOSITION;
    }
    array.push("<tr>");
    array.push("<td ondragover='allowDrop(event)'><label id='idId_1405417270311' style='line-height: 15px;' name='idId_1405417270311'>本人成份:</label></td>");
    array.push("<td ondragover='allowDrop(event)'><label id='idId_1405417273008' style='line-height: 15px;' name='idId_1405417273008'>" + ICOMPOSITION + "</label></td>");
    array.push("</tr>");

    //出生年月
    var BIRTHDAY = '';
    if (data1.BIRTHDAY !== null && data1.BIRTHDAY !== undefined && data1.BIRTHDAY !== '' && !isEmptyObject(data1.BIRTHDAY)) {
        BIRTHDAY = getLocalTime(data1.BIRTHDAY.replace("/Date(", "").replace(")/", ""));
    }
    array.push("<tr >");
    array.push("<td ondragover='allowDrop(event)' width='25%'><label id='idId_1407572632469' style='' columnname='ManaItem'  name='tablelabel_type_idId_1407572632469'><p>出生年月：</p> </label></td>");
    array.push("<td ondragover='allowDrop(event)' width='25%'><label id='idId_1407572634642' style='' columnname='Manager' name='tablelabel_type_idId_1407572634642'><p>" + BIRTHDAY + "</p> </label></td>");
    array.push("</tr>");

    //现任职务
    var PRESASG = '';
    if (data1.PRESASG !== null && data1.PRESASG !== undefined && data1.PRESASG !== '' && !isEmptyObject(data1.PRESASG)) {
        PRESASG = data1.PRESASG;
    }
    array.push("<tr>");
    array.push("<td ondragover='allowDrop(event)'><label id='idId_1405417270311' style='line-height: 15px;' name='idId_1405417270311'>现任职务:</label></td>");
    array.push("<td ondragover='allowDrop(event)'><label id='idId_1405417273008' style='line-height: 15px;' name='idId_1405417273008'>" + PRESASG + "</label></td>");
    array.push("</tr>");

    //现有文化程度
    var EDUCATION_NAME = '';
    if (data1.EDUCATION_NAME !== null && data1.EDUCATION_NAME !== undefined && data1.EDUCATION_NAME !== '' && !isEmptyObject(data1.EDUCATION_NAME)) {
        EDUCATION_NAME = data1.EDUCATION_NAME;
    }
    array.push("<tr>");
    array.push("<td ondragover='allowDrop(event)' width='25%'><label id='idId_1407572632469' style='' columnname='ManaItem'  name='tablelabel_type_idId_1407572632469'><p>现有文化程度：</p> </label></td>");
    array.push("<td ondragover='allowDrop(event)' width='25%'><label id='idId_1407572634642' style='' columnname='Manager' name='tablelabel_type_idId_1407572634642'><p>" + EDUCATION_NAME + "</p> </label></td>");
    array.push("</tr>");

    //入团时间
    var JOINCAUCUS_TIME = '';
    if (data1.JOINCAUCUS_TIME !== null && data1.JOINCAUCUS_TIME !== undefined && data1.JOINCAUCUS_TIME !== '' && !isEmptyObject(data1.JOINCAUCUS_TIME)) {
        JOINCAUCUS_TIME = getLocalTime(data1.JOINCAUCUS_TIME.replace("/Date(", "").replace(")/", ""));
    }
    array.push("<tr>");
    array.push("<td ondragover='allowDrop(event)'><label id='idId_1405417270311' style='line-height: 15px;' name='idId_1405417270311'>入团时间:</label></td>");
    array.push("<td ondragover='allowDrop(event)'><label id='idId_1405417273008' style='line-height: 15px;' name='idId_1405417273008'>" + JOINCAUCUS_TIME + "</label></td>");
    array.push("</tr>");

    //申请入党时间
    var APPLYPARTY_TIME = '';
    if (data1.APPLYPARTY_TIME !== null && data1.APPLYPARTY_TIME !== undefined && data1.APPLYPARTY_TIME !== '' && !isEmptyObject(data1.APPLYPARTY_TIME)) {
        APPLYPARTY_TIME = getLocalTime(data1.APPLYPARTY_TIME.replace("/Date(", "").replace(")/", ""));
    }
    array.push("<tr>");
    array.push("<td ondragover='allowDrop(event)' width='25%'><label id='idId_1407572632469' style='' columnname='ManaItem'  name='tablelabel_type_idId_1407572632469'><p>申请入党时间：</p> </label></td>");
    array.push("<td ondragover='allowDrop(event)' width='25%'><label id='idId_1407572634642' style='' columnname='Manager' name='tablelabel_type_idId_1407572634642'><p>" + APPLYPARTY_TIME + "</p> </label></td>");
    array.push("</tr>");

    //所在部门
    var ORG_NAME = '';
    if (data1.ORG_NAME !== null && data1.ORG_NAME !== undefined && data1.ORG_NAME !== '' && !isEmptyObject(data1.ORG_NAME)) {
        ORG_NAME = data1.ORG_NAME;
    }
    array.push("<tr>");
    array.push("<td ondragover='allowDrop(event)'><label id='idId_1405417270311' style='line-height: 15px;' name='idId_1405417270311'>所在部门:</label></td>");
    array.push("<td ondragover='allowDrop(event)'><label id='idId_1405417273008' style='line-height: 15px;' name='idId_1405417273008'>" + ORG_NAME + "</label></td>");
    array.push("</tr>");

    //有何专长
    var SPECIALTY = '';
    if (data1.SPECIALTY !== null && data1.SPECIALTY !== undefined && data1.SPECIALTY !== '' && !isEmptyObject(data1.SPECIALTY)) {
        SPECIALTY = data1.SPECIALTY;
    }
    array.push("<tr>");
    array.push("<td ondragover='allowDrop(event)' width='25%'><label id='idId_1407572632469' style='' columnname='ManaItem'  name='tablelabel_type_idId_1407572632469'><p>有何专长：</p> </label></td>");
    array.push("<td ondragover='allowDrop(event)' width='25%'><label id='idId_1407572634642' style='' columnname='Manager' name='tablelabel_type_idId_1407572634642'><p>" + SPECIALTY + "</p> </label></td>");
    array.push("</tr>");

    //所在支部
    var PARTYORG_NAME = '';
    if (data1.PARTYORG_NAME !== null && data1.PARTYORG_NAME !== undefined && data1.PARTYORG_NAME !== '' && !isEmptyObject(data1.PARTYORG_NAME)) {
        PARTYORG_NAME = data1.PARTYORG_NAME;
    }
    array.push("<tr >");
    array.push("<td ondragover='allowDrop(event)'><label id='idId_1405417270311' style='line-height: 15px;' name='idId_1405417270311'>所在支部:</label></td>");
    array.push("<td ondragover='allowDrop(event)'><label id='idId_1405417273008' style='line-height: 15px;' name='idId_1405417273008'>" + PARTYORG_NAME + "</label></td>");
    array.push("  </tr>");

    //籍贯
    var HOME_TOWN = '';
    if (data1.HOME_TOWN !== null && data1.HOME_TOWN !== undefined && data1.HOME_TOWN !== '' && !isEmptyObject(data1.HOME_TOWN)) {
        HOME_TOWN = data1.HOME_TOWN;
    }
    array.push("<tr>");
    array.push("  <td ondragover='allowDrop(event)' width='25%'><label id='idId_1407572632469' style='' columnname='ManaItem'  name='tablelabel_type_idId_1407572632469'><p>籍贯：</p> </label></td>");
    array.push("  <td ondragover='allowDrop(event)' width='25%'><label id='idId_1407572634642' style='' columnname='Manager' name='tablelabel_type_idId_1407572634642'><p>" + HOME_TOWN + "</p> </label></td>");
    array.push("  </tr>");

    array.push("</tbody>");
    array.push("</table>");
    array.push("</li>");

    var str = array.join("");
    $('#details1').append(str);
};



Date.prototype.format = function (format) {
    var date = {
        "M+": this.getMonth() + 1,
        "d+": this.getDate(),
        "h+": this.getHours(),
        "m+": this.getMinutes(),
        "s+": this.getSeconds(),
        "q+": Math.floor((this.getMonth() + 3) / 3),
        "S+": this.getMilliseconds()
    };
    if (/(y+)/i.test(format)) {
        format = format.replace(RegExp.$1, (this.getFullYear() + '').substr(4 - RegExp.$1.length));
    }
    for (var k in date) {
        if (new RegExp("(" + k + ")").test(format)) {
            format = format.replace(RegExp.$1, RegExp.$1.length == 1
                   ? date[k] : ("00" + date[k]).substr(("" + date[k]).length));
        }
    }
    return format;
}

function getLocalTime(nS) {
    //return new Date(parseInt(nS) * 1000).toLocaleString().substr(0, 17)
    var newDate = new Date();
    newDate.setTime(nS);
    return newDate.format('yyyy-MM-dd');
}


function isEmptyObject(obj) {
    for (var n in obj) { return false }
    return true;
}

//关闭详细
function closeDetail(params) {
    uPlugin.closeDetail(params);
};

//提交审核处理——fanboyang
function submitOpinion() {
    uPlugin.showProgressBar();
    var paramJson = {
        "parameters": {
            "ComType": "Approve",
            "FlowID": allFlow.FlowID,
            "WorkItem_ID": allFlow.WorkItem_ID,
            "ID": allData.protocol.WorkList[0].specialJson.JoinPartyApply.ID,
            "USER_ID": allData.protocol.WorkList[0].specialJson.JoinPartyApply.USER_ID,
            "ORG_ID": allData.protocol.WorkList[0].specialJson.JoinPartyApply.ORG_ID,
            "ApproveText": $('#approveContent').val(),
            "Suggestion": this.comment
        }
    };
    uPlugin.getAllVariate(function (d) { //提交        
        uPlugin.closeProgressBar();
        if (d.protocol.Success == '0') {
            showAlert("审批成功");
            uPlugin.returnBacklog();
        }
        else {
            showAlert("审批失败");
            uPlugin.returnBacklog();
        }
        $('#show').css("display", "none");
    }, paramJson);

}

//不同意审批
function submitBack() {
    uPlugin.showProgressBar();
    var paramJson = {
        "parameters": {
            "ComType": "BackApprove",
            "FlowID": allFlow.FlowID,
            "WorkItem_ID": allFlow.WorkItem_ID,
            "ID": allData.protocol.WorkList[0].specialJson.JoinPartyApply.ID,
            "USER_ID": allData.protocol.WorkList[0].specialJson.JoinPartyApply.USER_ID,
            "ORG_ID": allData.protocol.WorkList[0].specialJson.JoinPartyApply.ORG_ID,
            "ApproveText": $('#approveContent').val(),
            "Suggestion": this.comment
        }
    };
    uPlugin.getAllVariate(function (d) { //提交
        uPlugin.closeProgressBar();
        if (d.protocol.Success == '0') {
            showAlert("退回审批成功");
            uPlugin.returnBacklog();
        }
        else {
            showAlert("退回审批失败");
            uPlugin.returnBacklog();
        }
    }, paramJson);

}



//返回列表——fanboyang
function returnBack() {
    uPlugin.returnBacklog();
};

//附件预览——fanboyang
function docPreview(filrUrl, fileName) {
    var parm = { "AttachWholeUrl": filrUrl, "AttachName": fileName };
    uPlugin.docPreview(parm);
};

//区分android和iOS对JSON的转化
function translateJsonObject(sourceJson) {
    var destJson = null;
    try {//android
        destJson = jQuery.parseJSON(sourceJson);
    } catch (e) {//IOS
        destJson = sourceJson;
    }
    return destJson;
};

//显示提示框——fanboyang
function showAlert(alertText) {
    $('#sucessWarm').html(alertText);
    $(".confirmWarm-box-cancle").removeClass("none");
}