var plugin = new UmappPlugin();

var nowDate = new Date().Format("yyyy-MM-dd");


/**
 * 所有变量对象
 * 调用全局变量  allVar.system.xxx 
 * 调用页面变量  allVar.page.xxx
 * 调用流程变量  allVar.flow.xxx
 * 调用协议变量  allVar.protocol.xxx
 */
var  allVar={};
var  allFlow={};
//提交动作
var  _submitAction ;		
var  _submitText ;

$(function(){
	
	
	
	
	$('a[name^=yes_type_idId]').each(function(){
		$(this).bind("click",function(){
			//authPass();
			 updateSuggestionPass();
		});
	});
	$('a[name^=no_type_idId]').each(function(){
		$(this).bind("click",function(){
			authBack();
		});
	});
	plugin.getFlowParams(function(data){
		allFlow = data;
		initVar();
	});
});

//初始化变量
function  initVar(){
	//获取协议参数
	var  pro_Obj = $("#page_protocol").html();
	if(pro_Obj!=""&&pro_Obj!=null){
		var obj = jQuery.parseJSON(pro_Obj);
		if (typeof handleParams === 'function'){
			obj = handleParams(obj);
		}
		plugin.getAllVariate(getDataCallBack,obj);
	}else{
		plugin.getAllVariate(getDataCallBack,{});
	}

};
//插件获取回调
function   getDataCallBack(data){
	allVar =data;
	plugin.closeProgressBar();

	if (typeof BusInit === 'function'){
		BusInit(allVar);
	}
	//回复发送人，收件人显示为发送人
	if(localStorage.getItem("replyStatus")==0){
		$("#Receivers").html(allVar.protocol.UserName);
		//回复全部，收件人显示全部
	}else if(localStorage.getItem("replyStatus")==1){
			var userInfo = allFlow.userInfo;
      var userObj = EastOA.translateJsonObject(userInfo);
      var receiversId;
      //将发送人加入到回复全部时列表，如果已经存在则不添加
      if(allVar.protocol.Receivers.indexOf(allVar.protocol.UserName)==-1){
      		if(allVar.protocol.Receivers.substr(allVar.protocol.Receivers.length-1,1)==";"){
	      		receiversId=allVar.protocol.Receivers+allVar.protocol.UserName;
	      	
	      	}else{
	      		receiversId=allVar.protocol.Receivers+";"+allVar.protocol.UserName;
	      }
      }else{
      	receiversId=allVar.protocol.Receivers;
      	}
 			recIds=receiversId.split(";");
 			//比较全部接收人列表，将当期用户排除
 			for (var i=0;i<recIds.length;i++){
 				if(recIds[i]==userObj.realName){
 						recIds.remove(i);
 					}
 				}
 			receiversId=recIds.join(";");
		$("#Receivers").html(receiversId);
		}
	$("#Title").html("回复:"+allVar.protocol.Title);
	$("#UserName").html(allVar.protocol.UserName);
	$("#Content").html(allVar.protocol.Content);
	$("#CreatTime").html(allVar.protocol.CreatTime);
	$("#Title").height($("#Title").get(0).scrollHeight);

	if (typeof externalCall === 'function'){
		externalCall(allVar);
	}
};

function validate(){
	var flag = true;
	$('#pageForm').find('[isrequired*=0]').each(function(){ //0是必填
		if ($.trim($(this).val())==""){
			flag = false;
			$(this).focus();
			alert("该值不能为空！");
			return false;
		}
		var regF=new RegExp("&","g");
		var str = $(this).val();
		str= str.replace(regF,"");
		$(this).val(str);
	});
	if ($('#AuditBtnInfo')){
		if ($('#AuditBtnInfo').val()==''){
			alert('请选择流程！');
			return false;
		}
	}
	return flag;
};
/**
 * 页面提交
 * @param action  提交成返回的动作
 * @param text      内容
 */
function   pageSubmit(action,text){
	_submitAction = action;
	_submitText = text;
	plugin.submitPage(submitCallBack);
};
//提交回调
function   submitCallBack(data){
	var  msg ={
		       msg:	_submitText	
		};

	 if (_submitAction=="openDialog"){
		 		//弹出对话框
		 		plugin.showAndroidDialog(msg);
	    }else if (_submitAction=="openNewPage"){
	    		//打开新页面	
	    		plugin.jumpPage(msg);
	    }else{
	    	
	    }

};

function downloadAttachment(AttachmentID,AttachTitle)
{
	var  jsonStr = "";
	//alert(AttachTitle);
	AttachTitle=AttachTitle.replace(".gd",".jpg"); //gd文件已转换为jpg图片，在调用预览服务时需修正文件类型
	//alert(AttachTitle);
	if (arguments[2]){
		jsonStr = "{\"AttachmentID\":\""+AttachmentID+"\",\"AttachTitle\":\""+AttachTitle+"\",\"AttachmentInterface\":\""+arguments[2]+"\"}";
	}else{
		jsonStr = "{\"AttachmentID\":\""+AttachmentID+"\",\"AttachTitle\":\""+AttachTitle+"\"}";
	}
	var obj = jQuery.parseJSON(jsonStr);
	plugin.downloadAttachment(obj);
};

//审核通过
function authPass()
{
	plugin.authBacklogPass(approveBack);
};
//审核拒绝
function authBack()
{
	plugin.authBacklogBack(approveBack);
};
//关闭详细
function closeDetail(params)
{
	plugin.closeDetail(params);
};

//更新建议无需人员选择
function suggestionPlugin(params)
{
	plugin.suggestionPlugin(params);
};

//更新建议（提交审核）
function updateSuggestionPass(){
	if (typeof preHandler === 'function'){
		var flag = true;
		if (typeof validateForm === 'function'){
			flag = validateForm();
		}
		if (flag){
			var preObj = preHandler();
			plugin.submitData(function(data){
				if (data!=null){
					plugin.updateSuggestionForPass(suggestionCallBack);
				}
			},preObj);
		}
	}else{
		plugin.updateSuggestionForPass(suggestionCallBack);
	}
};
//更新建议（拒绝审核）
function updateSuggestionBack(){
	plugin.updateSuggestionForBack(approveBack);
};
/**
 * 通用审核方法
 * @param params 原生代码返回参数
 */
 function approveBack(params){
	closeDetail(params);
};
 
 /**
  * 提交建议回调
  * @param params 原生代码返回参数
  */
  function suggestionCallBack(params){
 	 if(params.IsShow==0||params.IsShow=="0")
 	suggestionPlugin(params);
 };