//将表单序列化json
(function($){  
        $.fn.serializeJson=function(){  
            var serializeObj={};  
            var array=this.serializeArray();  
 
            $(array).each(function(){  
                if(serializeObj[this.name]){  
                    if($.isArray(serializeObj[this.name])){  
                        serializeObj[this.name].push(this.value);  
                    }else{  
                        serializeObj[this.name]=[serializeObj[this.name],this.value];  
                    }  
                }else{  
                    serializeObj[this.name]=this.value;   
                }  
            });  
            return serializeObj;  
        };  
    })(jQuery);  

function addRowToListView(list, contents) {
	for ( var content in contents) {
		$("#" + list).append("<li>" + contents[content] + "</li>");
	}
	$("#" + list).listview('refresh');
}

function addRowToGrid(grid, body, rowList) {
	var tb = $("#" + body);
	tb.empty();
	for ( var row in rowList) {
		tb.append(rowList[row]);
	}
	$("#" + grid).trigger('create');
}

// 打开loading组件
// text(string): 加载提示文字
// str(string): load的背景颜色样式(取值:a,b,c,d)
// flag(boolean): 背景是否透明(取值:true透明,false不透明)
function loadStart(text, str, flag) {
	if (!text) {
		text = "加载中...";
	}
	$(".ui-loader h1").html(text);
	var _width = window.innerWidth;
	var _height = window.innerHeight;
	var htmlstr = '<div style="width:'
			+ _width
			+ 'px;height:'
			+ _height
			+ 'px;position:fixed;top:0px;left:0px;opacity:0.1;z-index:99999" class="loader-bg"></div>';
	$("body").append(htmlstr);
	if (flag) {
		$(".ui-loader").removeClass("ui-loader-verbose").addClass(
				"ui-loader-default");
	} else {
		$(".ui-loader").removeClass("ui-loader-default").addClass(
				"ui-loader-verbose");
	}
	var cla = "ui-body-" + str;
	$("html").addClass("ui-loading");
	var arr = $(".ui-loader").attr("class").split(" ");
	var reg = /ui-body-[a-f]/;
	for ( var i in arr) {
		if (reg.test(arr[i])) {
			$(".ui-loader").removeClass(arr[i]);
		}
	}
	$(".ui-loader").addClass(cla);
}

// 结束loading组件
function loadStop() {
	$("html").removeClass("ui-loading");
	$(".loader-bg").remove();
}

function changePage(url, needBack, transition, reversed, js, css)
{
	$(":mobile-pagecontainer").pagecontainer(
			"change", url, {
				changeHash : needBack,
				transition: transition,
				reverse: reversed,
				dataUrl: url
			});

	for (var j in js) {
		loadjscssfile(js[j], "js");
	}

	for (var c in css) {
		loadjscssfile(css[c], "css");
	}
}


function loadjscssfile(filename, filetype) {
	if (filetype == "js") {
		var fileref = document.createElement('script');
		fileref.setAttribute("type", "text/javascript");
		fileref.setAttribute("src", filename);
	} else if (filetype == "css") {
		var fileref = document.createElement('link');
		fileref.setAttribute("rel", "stylesheet");
		fileref.setAttribute("type", "text/css");
		fileref.setAttribute("href", filename);
	}
	if (typeof fileref != "undefined") {
		document.getElementsByTagName("head")[0].appendChild(fileref);
	}
}

$(function(){
	
	$('#approveYesFillText').click(function(){
		$($('textarea[name=Suggestion]').get(0)).val("同意");
	})
	$('#approveNoFillText').click(function(){
		$($('textarea[name=Suggestion]').get(0)).val("不同意");
	})
	var opt = {
                'date': {
                    preset: 'date',
					dateFormat: 'yyyy/mm/dd', // 日期格式
					mode: 'clickpick', //日期选择模式
					dateOrder: 'yymmdd', //面板中日期排列格式
                    endYear:2200,onBeforeShow:function(inst){
						if (!$('#tabs').hasClass('ui-fixed-hidden')){//如果是全屏
							$('#page_protocol').trigger('click');
						}
					},onDestroy:function(inst){
						if (!$('#tabs').hasClass('ui-fixed-hidden')){//如果是全屏
							$('#page_protocol').trigger('click');
						}
					}
                }
    };
    console.log($('.datetype').length);
    if ($('.datetype').length>0){
		$('.datetype').scroller('destroy').scroller($.extend(opt['date'],
		 				{
	                    	theme: 'android-holo light',
	                    	mode: 'scroller',
	                    	lang: 'zh',
	                    	display: 'modal',
	                    	animate: 'none',
	                    	delay:300 
	                    })
	    );
    }
    var footerFixed = $('div[data-role=footer]').get(0);
    $('textarea,input').on('focus',function(){
    	if (!$(this).hasClass('datetype')){
			$(footerFixed).css('display','none');
		}
    });
    $('textarea,input').on('blur',function(){
    	$(footerFixed).css('display','block');
    });
	$('#yesNextBtn').on('tap',function(){
		if (!$('#tabs').hasClass('ui-fixed-hidden')){
			$('#page_protocol').trigger('click');
		}else{
			$('#tabs').addClass('ui-fixed-hidden');
			$('#tabs').trigger('create'); 
			$(footerFixed).addClass('ui-fixed-hidden');
			$(footerFixed).trigger('create'); 
		}
		if (typeof validateForm !== 'function'){
			$('#bg').css("height",$('#page').height()+200);
			document.getElementById("bg").style.display ="block";
			document.getElementById("show").style.display ="block";
			$('html,body').animate({scrollTop: '0px'}, 100);
			$('#show').bind("touchmove",function(e){
				e.stopPropagation();
			});
		}
	})

	$('#noBtn').on('tap',function(){
		if (!$('#tabs').hasClass('ui-fixed-hidden')){
			$('#page_protocol').trigger('click');
		}else{
			$('#tabs').addClass('ui-fixed-hidden');
			$('#tabs').trigger('create'); 
			$(footerFixed).addClass('ui-fixed-hidden');
			$(footerFixed).trigger('create'); 
		} 
		$('#bg').css("height",$('#page').height()+200);
		document.getElementById("bg").style.display ="block";
		document.getElementById("showConfirm").style.display ="block";
		$('html,body').animate({scrollTop: '0px'}, 100);
		$('#showConfirm').bind("touchmove",function(e){
			e.stopPropagation();
		});
	})
	$('#cancelBtnPage').click(function(){
		// setTimeout(function(){
			 $('#page_protocol').trigger('click');
		// },500);
		 document.getElementById("bg").style.display ='none';
		 document.getElementById("show").style.display ='none';
	})
	$('#cancelConfirmPage').click(function(){
		document.getElementById("bg").style.display ='none';
		document.getElementById("showConfirm").style.display ='none';
		setTimeout(function(){
			$('#page_protocol').trigger('click');
		 },200);
	})
	$("#tabs div").bind("click", function() {
		var index = $("#tabs div").index($(this)[0]);
		var divs = $(".tab");
		$(this).parent().children("div").attr("class", "tab-nav");
		$(this).attr("class", "tab-nav-action");
		divs.hide();
		divs.eq(index).show();
	});
	var swipeIndex = 0;
	$("#pageForm").on("swipeleft",function(){
		if(swipeIndex<2){
			swipeIndex++;
			var divs = $(".tab");
			$('#tabs').children("div").attr("class", "tab-nav");
			$('#tabs').children("div").eq(swipeIndex).attr("class", "tab-nav-action");
			divs.hide();
			divs.eq(swipeIndex).show();
		}
	  });    
	 $("#pageForm").on("swiperight",function(){
		if(swipeIndex>0){
			swipeIndex--;
			var divs = $(".tab");
			$('#tabs').children("div").attr("class", "tab-nav");
			$('#tabs').children("div").eq(swipeIndex).attr("class", "tab-nav-action");
			divs.hide();
			divs.eq(swipeIndex).show();
		}
	  });
})