/*v0.0.1*/

//创建umappPlugin对象
var uPlugin = new UmappPlugin();

/**
 * 所有变量对象
 * 调用用户变量  allFlow.userInfo
 * 调用协议变量  allVar.protocol.xxx
 */
var  allVar={};
var  allFlow={};

$(function(){
    uPlugin.getFlowParams(function(data){
	allFlow = data;
	initVar();
    });
});

//页面调用时的参数处理
//现在处理：选人界面的查询；选人界面的输入框默认值
function handleParams(){
    var paramJson = {};
    var userinfo = translateJsonObject(allFlow.userInfo);
    paramJson={"flowid":allFlow.flowID,"flowInsID":allFlow.flowInsID,"stepID":allFlow.stepid,
	"stepInsID":allFlow.stepInsID,"entityInsID":allFlow.objectID,"entityID":allFlow.entityID};
    return paramJson;
}

//初始化变量
function  initVar(){
    //获取协议参数
    if (typeof handleParams === 'function'){
	obj = handleParams();
	uPlugin.getAllVariate(getDataCallBack,obj);
    }else{
	uPlugin.getAllVariate(getDataCallBack,{});
    }
};
//插件获取回调
function   getDataCallBack(data){
    allVar =data;
    uPlugin.closeProgressBar();
    var data1 = allVar.protocol;
    var html = template('data_info_content', {data:data1});
    document.getElementById('data_info').innerHTML = html;
    var html = template('data_history_content', {data:data1});
    document.getElementById('data_history').innerHTML = html;
    var html = template('data_prove_content', {data:allVar});
    document.getElementById('data_prove').innerHTML = html;

    //用于判断 项目流程中 -“基本信息-是否涉及工期和成本调整” 字段的值  2016/3/11 by gao
    var thisFlowName=data["flow"]["flowName"];
    if(thisFlowName=="项目重启流程"){
	   RaidoChooseBind.defRadioVal(data1);
    }
};

//关闭详细
function closeDetail(params)
{
    uPlugin.closeDetail(params);
};

//提交审核处理——fanboyang
function submitOpinion(opinion,comment){
    uPlugin.showProgressBar();
    this.comment = comment;
    this.opinion = opinion;
    var userInfo = translateJsonObject(allFlow.userInfo);
    var extranfos = allVar.protocol.extranfos;
    var m_sf = $("input[name='m_sf']:checked").val();
    var flowNext = allVar['protocol']["流程信息"];
    var paramJson = {"ptCode":"RFProjectManageWareHandler","account":userInfo.loginName,"flowID":allFlow.flowID,
        "flowInsID":allFlow.flowInsID,"formID":extranfos.formID,"stepID":allVar.flow.stepid,"stepInsID":allFlow.stepInsID,
        "entityInsID":allFlow.objectID,"pageType":extranfos.pageType,"savetag":"1","opinion":this.opinion,"note":this.comment,
        "steptype":"4","entityID":allFlow.entityID,"fields":extranfos.fields,"stepUserList":extranfos.stepUserList};
    if(flowNext){
        var fields = {"fields":{"fieldValue":m_sf}};
        jQuery.extend(true,paramJson,fields);
    }
    uPlugin.submitData(function(d){ //提交
      	uPlugin.closeProgressBar();
      	if (d.AppFlag == 2){
      	    document.getElementById('sucessWarm').innerHTML = d.RetMsg;
      	     $(".confirmWarm-box-cancle").removeClass("none");
      	}
      	else{uPlugin.returnBacklog({"isRefresh":"0","isRemove":"1"});}
    },paramJson);
}

//返回列表——fanboyang
function returnBack(behave){
    if(behave==""||behave==undefined){
      behave = {"isRefresh":"0","isRemove":"0"}
    }
    uPlugin.returnBacklog(behave);
};

//附件预览——fanboyang
function docPreview(fileUrl,fileName){
    var parm = {"AttachWholeUrl":fileUrl,"AttachName":fileName};
    uPlugin.docPreview(parm);
};

//区分android和iOS对JSON的转化
function translateJsonObject(sourceJson){
  var destJson = null;
  try{//android
    destJson = jQuery.parseJSON(sourceJson);
  }catch(e){//IOS
    destJson = sourceJson;
  }
  return destJson;
};

//artTemplate模板获取流程信息名——fanboyang
template.helper('getTitle',function(){
  var titles = allVar['protocol']["流程信息"];
  var title = "";
  for( var key in titles){
    title = key;
  }
  return title;
})

//artTemplate模板判断该类别是否显示——fanboyang
template.helper('isToShow',function(thisName,tagTextAry,tagTextNum){
  var show = 0;
  tagTextAry = tagTextAry.split('/');
  if(tagTextNum == undefined){
    for( var i = 0; i< tagTextAry.length; i++){
      if( thisName.indexOf(tagTextAry[i]) >= 0){
        show = 1;
      }
    }
  }else{
    if( thisName.indexOf(tagTextAry[tagTextNum]) >= 0){
      show = 1;
    }
  }
  return show;
})

 var obj2String = function(_obj) {
    var t = typeof (_obj);
    if (t != 'object' || _obj === null) {
      // simple data type
      if (t == 'string') {
        _obj = '"' + _obj + '"';
      }
      return String(_obj);
    } else {
      if ( _obj instanceof Date) {
        return _obj.toLocaleString();
      }
      // recurse array or object
      var n, v, json = [], arr = (_obj && _obj.constructor == Array);
      for (n in _obj) {
        v = _obj[n];
        t = typeof (v);
        if (t == 'string') {
          v = '"' + v + '"';
        } else if (t == "object" && v !== null) {
          v = this.obj2String(v);
        }
        json.push(( arr ? '' : '"' + n + '":') + String(v));
      }
      return ( arr ? '[' : '{') + String(json) + ( arr ? ']' : '}');
    }
  };